#include "Types.r"
#include "SysTypes.r"
#include "MacAppVersion.h"
#include "MacAppTypes.r"
#include "ViewTypes.r"

#include "MyConstants.h"

resource 'MBAR' (kMBarDisplayed, "kMBarDisplayed", purgeable)
	{
	{
	kAppleMenuID;
	kFileMenuID;
	kEditMenuID;
	kTestMenuID;
	}
	};

resource 'MBAR' (kMBarHierarchical, "kMBarHierarchical", purgeable)
	{
	{
	}
	};

resource 'CMNU' (kAppleMenuID, "kAppleMenuID", purgeable) {
	kAppleMenuID,
	textMenuProc,
	0x7FFFFFFD,
	enabled,
	apple,
	{
	"About The Gray Council",	noIcon, noKey, noMark, plain, cAboutApp;
	"-",						noIcon, noKey, noMark, plain, nocommand;
	}
};

resource 'CMNU' (kFileMenuID, "kFileMenuID", purgeable) {
	kFileMenuID,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"File",
	{
	"Quit",		noIcon, "Q",	noMark, plain, cQuit;
	}
};

resource 'CMNU' (kEditMenuID, "kEditMenuID", purgeable) {
	kEditMenuID,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Edit",
	{
	"Undo",					noIcon, "Z",	noMark, plain, cUndo;
	"-",					noIcon, noKey,	noMark, plain, nocommand;
	"Cut",					noIcon, "X",	noMark, plain, cCut;
	"Copy",					noIcon, "C",	noMark, plain, cCopy;
	"Paste",				noIcon, "V",	noMark, plain, cPaste;
	"Clear",				noIcon, noKey,	noMark, plain, cClear;
	}
};

resource 'CMNU' (kTestMenuID, "kTestMenuID", purgeable) {
	kTestMenuID,
	textMenuProc,
	EnablingManagedByMacApp,
	enabled,
	"Test",
	{
	"Push Buttons",		noIcon, "1",	noMark, plain, kMyCommandBase + kPushButtonDlgIndex;
	"Check Boxes",		noIcon, "2",	noMark, plain, kMyCommandBase + kCheckBoxDlgIndex;
	"Radio Buttons",	noIcon, "3",	noMark, plain, kMyCommandBase + kRadioButtonDlgIndex;
	"Scroll Bars",		noIcon, "4",	noMark, plain, kMyCommandBase + kScrollBarDlgIndex;
	"Sliders",			noIcon, "5",	noMark, plain, kMyCommandBase + kSliderDlgIndex;
	"Pop-up Menus",		noIcon, "6",	noMark, plain, kMyCommandBase + kPopupMenuDlgIndex;
	"Little Arrows",	noIcon, "7",	noMark, plain, kMyCommandBase + kArrowsDlgIndex;
	"Disclosure",		noIcon, "8",	noMark, plain, kMyCommandBase + kDisclosureDlgIndex;
	"Progress",			noIcon, "9",	noMark, plain, kMyCommandBase + kProgressDlgIndex;
	"Editable Text",	noIcon, "0",	noMark, plain, kMyCommandBase + kEditTextDlgIndex;
	"Focus Borders",	noIcon, noKey,	noMark, plain, kMyCommandBase + kFocusBorderDlgIndex;
	"Separators",		noIcon, noKey,	noMark, plain, kMyCommandBase + kSeparatorDlgIndex;
	"Group Boxes",		noIcon, noKey,	noMark, plain, kMyCommandBase + kGroupBoxDlgIndex;
	"Folder Tabs",		noIcon, noKey,	noMark, plain, kMyCommandBase + kFolderTabsDlgIndex;
	}
};

resource 'CMNU' (kFixedWidthPopupMenuID, "kFixedWidthPopupMenuID", purgeable) {
	kFixedWidthPopupMenuID,
	textMenuProc,
	allItems,
	enabled,
	"kFixedWidthPopupMenuID",
	{
	"68000",		noIcon, noKey,	noMark, plain, nocommand;
	"68020",		noIcon, noKey,	noMark, plain, nocommand;
	"68030",		noIcon, noKey,	noMark, plain, nocommand;
	"68040",		noIcon, noKey,	noMark, plain, nocommand;
	"601",			noIcon, noKey,	noMark, plain, nocommand;
	"603e",			noIcon, noKey,	noMark, plain, nocommand;
	"604",			noIcon, noKey,	noMark, plain, nocommand;
	}
};

resource 'CMNU' (kVariableWidthPopupMenuID, "kVariableWidthPopupMenuID", purgeable) {
	kVariableWidthPopupMenuID,
	textMenuProc,
	allItems,
	enabled,
	"kVariableWidthPopupMenuID",
	{
	"8MHz",			noIcon, noKey,	noMark, plain, nocommand;
	"16MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"25MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"33MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"40MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"60MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"66MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"70MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"80MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"100MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"110MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"120MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"132MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"150MHz",		noIcon, noKey,	noMark, plain, nocommand;
	"180MHz",		noIcon, noKey,	noMark, plain, nocommand;
	}
};

resource 'CMNU' (kArrowOnlyPopupMenuID, "kArrowOnlyPopupMenuID", purgeable) {
	kArrowOnlyPopupMenuID,
	textMenuProc,
	allItems,
	enabled,
	"kArrowOnlyPopupMenuID",
	{
	"LocalTalk",	noIcon, noKey,	noMark, plain, nocommand;
	"Ethernet",		noIcon, noKey,	noMark, plain, nocommand;
	"Token Ring",	noIcon, noKey,	noMark, plain, nocommand;
	"Infrared",		noIcon, noKey,	noMark, plain, nocommand;
	"Serial",		noIcon, noKey,	noMark, plain, nocommand;
	}
};

resource 'CMNU' (kTabsKindPopupMenuID, "kTabsKindPopupMenuID", purgeable) {
	kTabsKindPopupMenuID,
	textMenuProc,
	allItems,
	enabled,
	"kTabsKindPopupMenuID",
	{
	"Angled",	noIcon, noKey,	noMark, plain, nocommand;
	"Overlapped",	noIcon, noKey,	noMark, plain, nocommand;
	"Rounded",	noIcon, noKey,	noMark, plain, nocommand;
	}
};

resource 'CMNU' (kTabsLocationPopupMenuID, "kTabsLocationPopupMenuID", purgeable) {
	kTabsLocationPopupMenuID,
	textMenuProc,
	allItems,
	enabled,
	"kTabsLocationPopupMenuID",
	{
	"Top",	noIcon, noKey,	noMark, plain, nocommand;
	"Bottom",	noIcon, noKey,	noMark, plain, nocommand;
	"Left",	noIcon, noKey,	noMark, plain, nocommand;
	"Right",	noIcon, noKey,	noMark, plain, nocommand;
	}
};

resource 'CMNU' (kTabsWidthKindPopupMenuID, "kTabsWidthKindPopupMenuID", purgeable) {
	kTabsWidthKindPopupMenuID,
	textMenuProc,
	allItems,
	enabled,
	"kTabsWidthKindPopupMenuID",
	{
	"Variable",	noIcon, noKey,	noMark, plain, nocommand;
	"Common",	noIcon, noKey,	noMark, plain, nocommand;
	"Expand",	noIcon, noKey,	noMark, plain, nocommand;
	}
};

resource 'STR#' (kExtraStringBase, "kExtraStringBase", purgeable)
	{{
	"OK",
	}};

resource 'STR#' (kExtraStringBase + kSliderLabels1, "kSliderLabels1", purgeable)
	{{
	"Left Channel",
	"Stereo",
	"Right Channel",
	}};

resource 'STR#' (kExtraStringBase + kSliderLabels2, "kSliderLabels2", purgeable)
	{{
	"John",
	"Paul",
	"George",
	"Ringo",
	}};

resource 'STR#' (kExtraStringBase + kSliderLabels3, "kSliderLabels3", purgeable)
	{{
	"0MB",
	"8MB",
	"16MB",
	"24MB",
	"32MB",
	}};

resource 'STR#' (kExtraStringBase + kSliderLabels4, "kSliderLabels4", purgeable)
	{{
	"Andy",
	"Colin",
	"Dave",
	"Terry",
	}};

resource 'STR#' (kExtraStringBase + kFolderTabLabels1, "kFolderTabLabels1", purgeable)
	{{
	"Modem",
	"Script",
	"Location",
	}};

resource 'STR#' (kExtraStringBase + kFolderTabLabels2, "kFolderTabLabels2", purgeable)
	{{
	"Project",
	"Compiler",
	"Linker",
	"Editor",
	}};

data 'PICT' (kBigPictureID, purgeable) {
	$"2F4E 0000 0000 00B2 0168 0011 02FF 0C00"            /* /N......h..... */
	$"FFFF FFFF 0000 0000 0000 0000 0168 0000"            /* .........h.. */
	$"00B2 0000 0000 0000 0001 000A 0000 0000"            /* ............... */
	$"00B2 0168 0098 80B4 0000 0000 00B2 0168"            /* ..h.......h */
	$"0000 0000 0000 0000 0048 0000 0048 0000"            /* .........H...H.. */
	$"0000 0004 0001 0004 0000 0000 0107 50E0"            /* ..............P */
	$"0000 0000 0000 0470 0000 000F 0000 CCCC"            /* .......p...... */
	$"FFFF FFFF 0001 5555 5555 5555 0002 CCCC"            /* ..UUUUUU.. */
	$"CCCC 9999 0003 8888 8888 8888 0004 9999"            /* ̙.... */
	$"9999 6666 0005 FFFF FFFF FFFF 0006 3333"            /* ff....33 */
	$"6666 3333 0007 0000 0000 0000 0008 0000"            /* ff33............ */
	$"3333 0000 0009 6666 9999 6666 000A FFFF"            /* 33...ffff.. */
	$"FFFF CCCC 000B CCCC CCCC 6666 000C FFFF"            /* ..ff.. */
	$"CCCC 9999 000D DDDD 0000 0000 000E CCCC"            /* ̙....... */
	$"9999 6666 000F 9999 6666 3333 0000 0000"            /* ff..ff33.... */
	$"00B2 0168 0000 0000 00B2 0168 0000 0481"            /* ..h......h... */
	$"00CD 0004 8100 CD00 0481 00CD 0004 8100"            /* .......... */
	$"CD00 0481 00CD 0004 8100 CD00 0AD9 0002"            /* .......... */
	$"1002 1281 00F8 001F DA00 0001 FD21 FA00"            /* .........!. */
	$"0001 FE21 F800 0133 33FE 0003 0333 3330"            /* ..!..33...330 */
	$"E600 0144 10B3 003D D900 0312 3232 12FC"            /* ..D..=...22. */
	$"0003 0212 1232 FD12 FE00 0D33 3330 3312"            /* .....2..3303. */
	$"1333 3003 3212 1233 30FE 3303 3000 3333"            /* .30.2..303.0.33 */
	$"EF00 0304 5551 11F5 0008 1000 0110 1111"            /* ...UQ......... */
	$"0010 01C9 0048 D900 0901 2121 2000 2100"            /* ....H..!! .!. */
	$"2101 21FE 23FE 2110 3320 0333 2323 2111"            /* !.!#!.3 .3##!. */
	$"1151 1511 1511 5111 11FC 2302 3323 23EE"            /* .Q....Q..#.3## */
	$"0001 1451 FD00 0111 11FC 0009 0110 0010"            /* ...Q......... */
	$"0001 0155 1011 F300 FE11 0010 DA00 52DA"            /* ...U.......R */
	$"000A 1200 0002 0002 1210 1230 02FE 3204"            /* ...........0.2. */
	$"1213 3300 00FE 3201 3311 FE15 0951 5115"            /* ..3..2.3..QQ. */
	$"5155 1551 1511 11FE 3201 1210 F200 0501"            /* QU.Q...2...... */
	$"1111 1400 10FE 0001 1001 FB00 0310 0010"            /* .............. */
	$"11FE 0000 11F2 0006 1115 5511 0000 10DC"            /* ........U.... */
	$"0044 DA00 0C21 2020 2121 0123 2103 2303"            /* .D..!  !!.#!.#. */
	$"0333 FE21 0035 FC33 0121 15FD 5500 51FD"            /* .3!.53.!.U.Q */
	$"5507 1551 5551 2321 2123 F000 0745 5551"            /* U..QUQ#!!#..EUQ */
	$"0101 1000 01F4 0000 01EF 0002 0111 00FE"            /* ............. */
	$"0101 1110 DE00 44DF 0017 1210 0000 1232"            /* .....D.......2 */
	$"1200 3232 3032 3200 0200 0002 3313 1303"            /* ..22022.....3... */
	$"3233 FE32 0255 5551 FC55 0051 FD55 0651"            /* 232.UUQU.QU.Q */
	$"5113 3313 3330 F100 0404 5410 0011 ED00"            /* Q.3.30...T.... */
	$"0001 F100 0301 1001 10DC 0048 E000 1701"            /* .........H... */
	$"2321 2001 2323 2000 0023 0000 2001 0001"            /* #! .## ..#.. ... */
	$"2003 3303 3003 33FD 2303 2111 1515 F955"            /*  .3.0.3#.!...U */
	$"0715 5555 1333 2123 30F0 0000 41EC 0002"            /* ..UU.3!#0..A.. */
	$"0112 20F2 0004 1113 3101 31FD 11F3 0001"            /* .. ....1.1... */
	$"0110 F000 43DF 0011 1232 1200 1232 1012"            /* ...C...2...2.. */
	$"0000 1212 0212 1012 3210 FD00 0030 FD33"            /* ........2...03 */
	$"0331 1155 51F7 5500 11FE 1200 33DA 0003"            /* .1.UQU....3.. */
	$"1115 5660 F500 FE11 FE33 0113 43FE 3301"            /* ..V`..3..C3. */
	$"3410 F500 FE10 F000 4FDF 0015 0121 2100"            /* 4....O...!!. */
	$"0121 0121 2101 2321 2001 0003 2321 2000"            /* .!.!!.#! ...#! . */
	$"2120 FD00 0303 3321 11F7 5505 1153 2321"            /* ! ...3!.U..S#! */
	$"2330 DB00 0311 1556 66F5 000C 1133 3334"            /* #0....Vf...334 */
	$"2344 2443 2423 4424 21F7 0000 01FE 0005"            /* #D$C$#D$!..... */
	$"0100 0001 1110 F400 5BE6 0006 0212 1200"            /* .......[...... */
	$"0012 12FD 0007 1000 0002 1200 3212 FE00"            /* ...........2.. */
	$"0202 3232 FE12 0132 10FC 0003 3211 5511"            /* ..22..2...2.U. */
	$"F955 0451 1332 3330 DB00 0302 2552 60F7"            /* U.Q.230...%R` */
	$"0009 1111 1014 4432 4232 2442 FD32 0744"            /* .....D2B2$B2.D */
	$"1000 0011 0000 01FC 0003 1110 0111 FE00"            /* .............. */
	$"0011 F300 5EE5 0004 2321 2001 23FE 210E"            /* ...^..#! .#!. */
	$"0100 2001 2100 2021 0120 0121 0101 33FC"            /* .. .!. !. .!..3 */
	$"2301 2121 FD00 0203 3551 FA55 0551 5555"            /* #.!!...5QU.QUU */
	$"1333 30DB 0003 0222 2230 FD00 1901 1100"            /* .30...""0..... */
	$"0100 1110 1333 4143 2223 4424 4243 2344"            /* .....3AC"#D$BC#D */
	$"2323 2441 1111 43FD 11FD 0004 0100 1433"            /* ##$A..C......3 */
	$"11F0 0066 E600 0412 3232 1000 FC32 0112"            /* ..f...22..2.. */
	$"00FE 1208 0012 1000 1232 3210 13FA 3207"            /* ........22..2. */
	$"3100 0002 3013 3115 FC55 0515 5111 1512"            /* 1...0.1.U..Q... */
	$"30E6 0000 30F6 0002 2222 23FC 0004 1333"            /* 0..0..""#...3 */
	$"1001 11FE 0105 4443 4234 4446 FE44 1832"            /* .....DCB4DFD.2 */
	$"3242 3432 4332 3424 3233 3454 1100 0110"            /* 2B42C24$234T.... */
	$"0000 1343 3311 1110 F300 7BF5 0000 36F3"            /* ...C3....{..6 */
	$"0004 0121 2100 01FC 2310 2F20 0021 2021"            /* ...!!..#./ .! ! */
	$"0020 2121 2323 2100 23F3 F3FE 2301 1103"            /* . !!##!.##... */
	$"FC00 0D13 5551 5555 5155 5513 3323 2333"            /* ..UQUUQUU.3##3 */
	$"30FA 0001 0880 F500 0160 00FD 3300 30F6"            /* 0.....`.3.0 */
	$"0001 3233 FD00 1501 3443 1001 3313 1310"            /* ..23...4C..3... */
	$"1324 4446 4244 6423 4624 2344 42FD 2313"            /* .$DFBDd#F$#DB#. */
	$"4443 2442 1234 1113 3111 1113 4444 3333"            /* DC$B.4..1...DD33 */
	$"3110 0001 F600 8F00 30F8 0008 6636 6636"            /* 1.....0..f6f6 */
	$"6366 3006 06FA 0000 66FD 0001 0212 FD32"            /* cf0....f....2 */
	$"09F2 F2F0 0002 1212 0000 02FE 12FE 0000"            /* .......... */
	$"0FFE 3201 0030 FE00 0402 3003 5515 FE55"            /* .2..0...0.U.U */
	$"0715 1155 3332 3233 30EE 0007 0606 3333"            /* ...U32230....33 */
	$"2232 2232 FE33 0030 FB00 0011 FD00 FE11"            /* "2"23.0..... */
	$"0832 4233 4100 1342 3431 FE32 1664 4234"            /* .2B3A..B412.dB4 */
	$"6432 4944 4694 9699 3292 3296 6969 99A8"            /* d2IDF22ii */
	$"1244 32A4 FE33 0942 3234 4232 3111 3131"            /* .D23B24B21.11 */
	$"11FA 0001 0131 9601 2130 FA00 0206 6363"            /* ....1.!0...cc */
	$"FC23 0F63 2321 2160 0066 0066 6321 2021"            /* #.c#!!`.f.fc! ! */
	$"2100 00FE 21FD 2F01 0F00 FD21 0400 0001"            /* !..!/...!.... */
	$"2020 FE00 0303 2321 10FB 0008 0115 5555"            /*   ...#!.....UU */
	$"1555 5113 35FE 2300 33ED 0032 6069 3388"            /* .UQ.5#.3.2`i3 */
	$"8822 8228 2832 3223 3330 0001 1101 1311"            /* "((22#30...... */
	$"0111 1133 2333 2343 2431 0001 3323 2423"            /* ...3#3#C$1..3#$# */
	$"4324 6443 2464 6696 9996 4994 6494 99FE"            /* C$dC$dfId */
	$"960F 6966 A154 4423 A423 4A44 4323 2443"            /* .ifTD##JDC#$C */
	$"2343 FD23 FE13 0110 00FE 1300 238E 01A3"            /* #C#......#. */
	$"13FA 0002 6336 62F7 3200 12FC 32FD 1200"            /* ...c6b2..2.. */
	$"10FE 0000 F2FD 0000 02FD 1206 F2F2 F000"            /* ......... */
	$"1000 00FD 3201 3110 FC00 0832 1555 1551"            /* ...2.1...2.U.Q */
	$"5551 3212 FE33 ED00 2C66 0698 2B82 8823"            /* UQ2.3.,f.+# */
	$"8886 6666 6222 2238 0001 3313 3433 1433"            /* ffb""8..3.43.3 */
	$"4234 3244 4244 2431 0112 4442 3432 2442"            /* B42DBD$1..DB42$B */
	$"6444 4499 9669 FD96 1144 6999 6696 6969"            /* dDDi.Difii */
	$"963A 814A 44A4 324A 4242 34FE 4409 4232"            /* :JD2JBB4DB2 */
	$"4232 3242 3232 4131 FE32 00A2 9903 2231"            /* B22B22A12.."1 */
	$"3130 FC00 0D03 3368 8882 2226 2355 5353"            /* 10..3h"&#USS */
	$"2355 53FD 2300 26FE 23FC 2101 0001 FD21"            /* #US#.&#!...! */
	$"0023 FE21 FE2F FE00 FD23 0221 233F FE00"            /* .#!/.#.!#?. */
	$"0303 0133 25FE 5504 5115 2323 30FB 0002"            /* ...3%U.Q.##0.. */
	$"2303 20F4 0006 0693 3386 6B6B B6FE 6616"            /* #. ...3kkf. */
	$"8663 8383 3006 6494 2343 2443 2863 2944"            /* c0.d#C$C(c)D */
	$"4244 4C44 4313 34FD 4405 4644 6444 9496"            /* BDLDC.4D.FDdD */
	$"FB66 1294 9466 9666 9966 6966 A1A4 AA46"            /* f.fffifF */
	$"2A24 24A3 24A6 FE44 0C23 444A 4324 4A41"            /* *$$$D.#DJC$JA */
	$"A323 234A 24A3 9A05 33A3 2313 1110 FE00"            /* ##J$.3#.... */
	$"0533 3366 6688 88FD 6605 6555 6635 3666"            /* .33fff.eUf56f */
	$"FD36 0266 6232 FB12 FB32 0712 12F2 F2F0"            /* 6.fb2.2... */
	$"0032 02FD 3203 1212 F0F0 FE00 0601 3211"            /* .2.2......2. */
	$"5155 5155 FE33 FA00 0208 3232 F500 0460"            /* QUQU3...22..` */
	$"6922 88B6 FC66 0286 B663 FE00 0D66 4644"            /* i"f.c.fFD */
	$"3242 3642 3611 6919 949C 24FD 4432 6969"            /* 2B6B6.i.$D2ii */
	$"4944 4649 6644 4469 9666 6696 6666 6999"            /* IDFIfDDiffffi */
	$"6969 6696 9966 AA3A 8144 6A66 666A 2A46"            /* iiff:Djffj*F */
	$"A4A6 9A4A 444A A44A 3A11 111A AA32 4232"            /* JDJJ:...2B2 */
	$"3293 0112 AAFE 1205 11F0 0000 3333 F366"            /* 2.......33f */
	$"FD63 0100 63FC 2300 21FC 23FE 210E 2F2F"            /* c..c#.!#!.// */
	$"0000 0323 0023 3331 3321 2F0F 01FD 0006"            /* ...#.#313!/.... */
	$"D121 1555 1533 10F9 0000 D3FE 23F5 000A"            /* !.U.3...#.. */
	$"6922 8386 6666 6006 6668 B6FE 6626 0066"            /* i"ff`.fhf&.f */
	$"6461 6149 4141 1611 6686 9161 C614 9494"            /* daaIAA..fa. */
	$"4446 9446 9644 6644 9699 6669 6666 9666"            /* DFFDfDfifff */
	$"9696 6666 46FE 661C 6496 6663 A144 A6A2"            /* ffFf.dfcD */
	$"6626 6242 6949 26A1 3131 1314 1145 454A"            /* f&bBiI&11...EEJ */
	$"4A23 4324 1F92 050F 2F20 2121 2FFE 0001"            /* J#C$.../ !!/.. */
	$"0636 FC66 0556 6663 3353 36FC 66FE 36F5"            /* .6f.Vfc3S6f6 */
	$"32FE 1200 F0FE 000A 0232 3033 0000 11F2"            /* 2.....203... */
	$"1210 1FFD 0005 0132 1155 1331 F700 0282"            /* ......2.U.1.. */
	$"8280 FB00 0008 FD00 0969 2238 88B6 6666"            /* ....i"8ff */
	$"0066 66FE 68FB 6601 4661 FD66 1181 6686"            /* .ffhf.Faf.f */
	$"1268 6169 6649 4499 64B4 9966 9699 99FC"            /* .haifIDdf */
	$"661D 6966 6669 4666 9666 9664 6494 6A63"            /* f.iffiFffddjc */
	$"A846 6669 999A 9A49 2A45 6142 AA4A 4454"            /* FfiI*EaBJDT */
	$"FE44 044A 3244 3F00 890A 02F2 F000 02F2"            /* D.J2D?..... */
	$"F000 0363 63FC 6606 3533 3888 8835 33FD"            /* ..ccf.53853 */
	$"66FD 63F6 2302 212F 2FFC 0001 2320 FD00"            /* fc#.!//..# . */
	$"0201 F1F0 FB00 0413 2111 3330 ED00 0680"            /* .....!.30.. */
	$"0000 0692 8388 FE66 0600 0668 6666 6B6B"            /* ...f...hffkk */
	$"F966 0186 68FE 660F 8166 1486 6166 8166"            /* f.hf.f.aff */
	$"866B 6669 6966 6669 FC66 1D69 6666 6966"            /* kfiiffif.iffif */
	$"9696 6966 6969 4696 9666 4A14 926A A6A9"            /* ifiiFfJ.j */
	$"96A6 A651 39A4 699A A4FE 4405 A444 2A23"            /* Q9iD.D*# */
	$"21F0 8601 000F FB00 0232 1216 FD66 00D8"            /* !.....2..f. */
	$"FE88 0466 6888 8856 FE66 0236 6636 FE32"            /* .fhVf.6f62 */
	$"0002 FC32 0462 3232 1212 FB00 0102 00FE"            /* ..2.b22...... */
	$"F203 0001 000F FB00 0401 3211 3330 EA00"            /* ........2.30. */
	$"0A09 3833 8866 6660 0006 6668 FE66 0086"            /* .83ff`..fhf. */
	$"F866 0586 8668 6666 C8FE 6605 6191 6666"            /* f.hfff.aff */
	$"6996 F866 0069 FD66 1596 6696 9666 6664"            /* if.if.fffd */
	$"6644 66A4 A846 666A 666A 6692 A116 49FC"            /* fDfFfjfjf.I */
	$"6606 4A44 6A32 323F 007E F900 0223 2131"            /* f.JDj22?.~..#!1 */
	$"FE66 0160 88FA 6601 6886 FE66 FE63 0C26"            /* f.`f.hfc.& */
	$"0000 2366 2363 2363 6323 212F FA00 010F"            /* ..#f#c#cc#!/... */
	$"2FFE 2101 0003 F900 0213 2111 E900 0206"            /* /!......!.... */
	$"633D FE66 0760 0006 6D66 66D6 06FB 6602"            /* c=f.`..mff.f. */
	$"6866 86FC 6605 6868 6686 8668 FE66 0069"            /* hff.hhfhf.i */
	$"F566 1996 6696 6696 6666 6969 6696 6964"            /* f.ffffiifid */
	$"664A 15A6 A560 2606 6A13 9666 66FE 8607"            /* fJ.`&.j.ff. */
	$"6646 6464 11FF 1000 7AFD 0014 3200 0100"            /* fFdd...z..2... */
	$"0232 1236 3666 0886 6688 8686 6633 6666"            /* .2.66f.ff3ff */
	$"88FE 6603 3666 3236 FC66 FE36 FE32 00F0"            /* f.6f26f62. */
	$"FA00 06F2 F212 3232 0001 F800 0112 10EF"            /* ...22...... */
	$"0001 6006 FC00 0A66 6008 6969 D800 0066"            /* ..`...f`.ii..f */
	$"0000 F666 0068 FC66 01C6 86F7 6600 96F8"            /* ..f.hf.Ɔf. */
	$"6601 6996 FE69 1766 6696 6966 4666 66AA"            /* f.ii.ffifFff */
	$"1818 8188 8895 F616 6666 8000 0066 60FE"            /* ...ff..f` */
	$"11FD 007E FA00 0110 00FE 230C 6366 0668"            /* ..~....#.cf.h */
	$"6800 0808 8666 3666 68F8 6604 3666 3666"            /* h...f6fhf.6f6f */
	$"66FE 6301 2F20 FA00 072F 2121 2310 0021"            /* fc./ ../!!#..! */
	$"20F9 0001 0110 EF00 0206 6660 FB00 0308"            /*  .......f`... */
	$"B6B6 88FE 00FE 6607 6966 6699 6696 9699"            /* .f.ifff */
	$"FC66 0C96 6996 9866 9696 9969 6669 6696"            /* f.ififif */
	$"F466 0069 FE66 0969 6666 6964 6694 6A66"            /* f.ififfidfjf */
	$"51FE 6600 88FE 6807 6680 0000 0886 6001"            /* Qf.h.f...`. */
	$"FB00 7FF8 0005 0232 3236 3066 FB00 0468"            /* .....2260f..h */
	$"6866 6868 FC66 0C36 6636 6636 6636 6636"            /* hfhhf.6f6f6f6f6 */
	$"3632 32F2 FA00 0702 F232 3266 6612 16E5"            /* 622...22ff.. */
	$"0001 0698 FB00 0960 088B BB80 8006 6669"            /* ....`..fi */
	$"96FD 9900 69FB 9902 6666 96FE 9906 C869"            /* .i.ff.i */
	$"9969 9999 96FE 6613 9666 6696 6666 9666"            /* if.fffff */
	$"6669 9669 6666 B669 6996 6696 FE66 0696"            /* fiiffiiff. */
	$"6966 A16B 6680 FD00 0680 0000 0884 4880"            /* ifkf.....H */
	$"FA00 76F6 0003 2363 6060 F900 F866 0D36"            /* .v..#c``.f6 */
	$"69B8 6636 6636 6633 6363 2323 20FC 0008"            /* if6f6f3cc## .. */
	$"0F23 2666 6663 2326 60E5 0001 6D60 FD00"            /* .#&ffc#&`..m`. */
	$"0806 660D 8BB8 0000 66BB FD99 0569 99D9"            /* ..f..f.i */
	$"B9B9 9BFD 9907 669B 6B99 B988 9B9B FEB9"            /* .fk */
	$"0399 9696 69FD 9603 6669 6669 FE66 0586"            /* .i.fifif. */
	$"B666 9B66 69FE 6608 9666 9666 9666 5166"            /* ffif.fffQf */
	$"60F9 0002 8445 28F9 0083 F700 0332 3236"            /* `..E(...226 */
	$"30F7 0013 6666 8666 66B8 6636 663B 8936"            /* 0..fffff6f;6 */
	$"6636 6636 6636 3236 FE32 0030 FE00 0902"            /* f6f6f6262.0.. */
	$"3666 6636 6232 3666 60E6 0001 0696 FD00"            /* 6ff6b26f`.... */
	$"0606 6088 0880 0006 FEBB 12B9 99BB 99BB"            /* ..`.... */
	$"9B9B 99B9 99B9 9BB9 6996 6BBB BC48 FEB9"            /* ikH */
	$"22BB B999 BB96 9B99 BBB6 6966 9BB9 666B"            /* "iffk */
	$"66B6 6666 6B66 6B69 69B6 9966 6669 6696"            /* fffkfkiiffif */
	$"96A6 8680 FA00 0308 4642 48F9 0082 F800"            /* ...FBH.. */
	$"0201 212F F500 1506 6663 8666 6B86 6666"            /* ..!/...fcfkff */
	$"6B88 66B6 66B9 6636 6663 6323 63FE 2307"            /* kfff6fcc#c#. */
	$"2000 0326 6636 6636 FE66 0060 E800 0466"            /*  ..&f6f6f.`..f */
	$"6000 6660 FE00 0606 6000 0006 6666 FEBB"            /* `.f`...`...ff */
	$"24B9 9BBB 9B9B B9BB 9B9B B999 9969 6BB9"            /* $ik */
	$"9B9B BB46 B9BB 99B9 B9BB B9B9 9BBB 99BB"            /* F */
	$"BB9B B9BB B6B6 FD66 0D86 6B69 B6B6 9666"            /* fkif */
	$"69B6 6696 6666 A8F8 0003 8645 5480 F900"            /* ifff..ET. */
	$"81F8 0002 F2F2 F0F4 000E 6666 6286 66B8"            /* ....ffbf */
	$"6666 9B86 6666 3696 36FE 66FD 3604 3232"            /* ffff66f6.22 */
	$"3000 32FE 6602 3666 36FD 66EA 0005 066B"            /* 0.2f.6f6f...k */
	$"D000 6960 FE00 046B 666D 666B FEBB 039B"            /* .i`..kfmfk. */
	$"BB99 9BFD BB11 99BB BB9B BB9B 966B BB6B"            /* .kk */
	$"BBBB 6BBB B9B9 BB9B FEBB 049B 9BB9 9B99"            /* k. */
	$"FDBB 0266 6B6B FE66 0FB9 6666 9666 696B"            /* .fkkf.fffik */
	$"969B 66B6 64A8 0000 66FB 0003 8462 4480"            /* fd..f..bD */
	$"F900 82F9 0000 FFF1 0009 0666 6628 66B8"            /* .....ff(f */
	$"6666 6986 FE66 06B3 B636 6636 6636 FE63"            /* ffif.6f6f6c */
	$"0866 2303 2336 6636 6636 FC66 EA00 0A06"            /* .f#.#6f6f6f... */
	$"6860 066B 6660 0D06 9999 FDBB 04BD B999"            /* h`.kf`.. */
	$"9B9B FEBB 029B BBB9 FEBB 049B BB66 BBB6"            /* ..f */
	$"FEBB 016B B9FC BB0F B99B 9BBB BB9B BBBB"            /* .k. */
	$"AB6B A6B6 86B6 8606 FE66 0DB6 B666 6966"            /* k.f¶fif */
	$"6646 9646 6668 8800 66FB 0002 8645 88FB"            /* fFFfh.f..E */
	$"0002 8000 007F FA00 0010 EF00 0506 6628"            /* ...........f( */
	$"6666 86FE 6601 B639 FE69 0B66 9966 3666"            /* fff.9i.ff6f */
	$"3666 3636 3202 36F7 6600 60EB 000C 0600"            /* 6f662.6f.`.... */
	$"000D 66D6 00D6 9D99 B9BB 9BFD BBFE 9B01"            /* .f.֝. */
	$"BB9B FEBB 009B FDBB 01B6 6BFD BB09 4BBB"            /* ..kK */
	$"BB9B BBBB 9BBB BB9B FEBB 059B BBB8 8686"            /* . */
	$"8BFE 6613 0086 66BB 6BB6 66BB 666B 6496"            /* f..fkffkd */
	$"B994 B464 6080 6660 FD00 0208 4228 FB00"            /* d`f`...B(. */
	$"0308 0008 0073 0600 0010 1000 1010 ED00"            /* .....s......... */
	$"0F66 6686 6BB8 6B66 6669 B996 B696 3666"            /* .ffkkffi6f */
	$"36FD 6601 6363 F466 0106 80E9 0009 6600"            /* 6f.ccf...f. */
	$"0066 6B99 99BB 99DB FEBB 019B 99FE BB00"            /* .fk.. */
	$"B9FD BB04 B9BB B9BB B6FA BB00 B9FC BB00"            /* ... */
	$"B9FB BB00 8BFE B616 A6B6 BB88 66B6 6B66"            /* ..fkf */
	$"6CBC 6BB6 BB94 6B66 6B66 6068 806B 60FD"            /* lkkfkf`hk` */
	$"0002 0844 80F8 0000 0862 E600 0C06 6D88"            /* ...D...b...m */
	$"86B8 8686 B3B3 6BB3 6636 FE66 0036 F666"            /* kf6f.6f */
	$"0246 6666 FD00 0166 80E7 0009 06DB B99B"            /* .Fff..f..۹ */
	$"9BB9 99BB B88A FCBB 00B9 FBBB 00B9 FBBB"            /* .. */
	$"002B FEBB 00BC F6BB 08A8 8686 8868 A886"            /* .+..h */
	$"8BB6 FE6B 0FBC CBBC E698 9BBB BB69 4BB9"            /* k.˼昛iK */
	$"4B66 8006 66FD 0001 0888 F600 6AE5 0007"            /* Kf.f....j.. */
	$"0666 6862 86B6 6666 FDB6 04B9 9966 6636"            /* .fhbff.ff6 */
	$"F366 0460 0006 6680 E800 0B06 699B B999"            /* f.`..f...i */
	$"99BB BBB9 DBBD ABFE BB07 9BBB BB9B BB9B"            /* ۽. */
	$"BB9B FDBB 02B2 BB2B FEBB 0622 2BBB 2C22"            /* .+."+," */
	$"BB2B FBBB 1A88 A866 B66B 666B B88B 66B6"            /* +.fkfkf */
	$"6CCB BBCB C66B 999B 9BBB BB9B BBB6 8006"            /* l˻k. */
	$"FC00 0108 80F6 006E E600 0606 6066 6866"            /* ....n...`fhf */
	$"8868 FC6B 023B 6BB9 FD66 0060 FB66 FE46"            /* hk.;kf.`fF */
	$"0766 4666 6600 6666 88E9 0007 0666 99BB"            /* .fFff.ff...f */
	$"BBBD BDB8 FDBB 0288 B99B FBBB 04B6 6BBB"            /* ..k */
	$"BBB9 FDBB FE22 00B2 FEBC 24CC CCBB CCCB"            /* ".$̻ */
	$"BB9B ABAB AABB B88A ABBA BB6B 6BB8 68B8"            /* kkh */
	$"CBBB CBBE E669 BB9B B99B 9BBB B6B6 8006"            /* ˻˾i. */
	$"FC00 0080 F500 6DE5 000B 6D06 6666 2688"            /* ...m..m.ff& */
	$"66B6 66B6 B636 FDB6 0463 6006 0060 FD66"            /* ff6.c`..`f */
	$"0044 FB66 0060 FE88 E800 0B06 9BB9 99D9"            /* .Df.`... */
	$"9666 B966 B9BA B8FD BB00 B6FE 660C 606B"            /* ff.f.`k */
	$"BB9B BBBB 9929 2A2C BCB9 9BFE CB0A ACAC"            /* )*,. */
	$"CCAC BBCC B668 8888 8CFC 8804 8CCC CBEC"            /* ̶̬h. */
	$"ECFE BB03 C666 9C9B FEBB 06B9 9BBB 6800"            /* .f.h. */
	$"0080 F000 6BE4 0008 6668 666E 2868 6B66"            /* ..k..fhfn(hkf */
	$"66FD 6B01 B66D FD66 0700 0666 66DB D466"            /* fk.mf...fff */
	$"46FD 66E4 000B 0999 9BBB 998B B9B6 06BB"            /* Ff..ƙ. */
	$"BBDB FDBB 0560 0060 0606 6BFE BB02 B900"            /* .`.`..k.. */
	$"09FE CC01 9009 FCCC 0AAC CCBC CBC8 8CCC"            /* ..̼Ȍ */
	$"CC88 9CC8 FE88 128E ECEC CCCB BBCB B2E9"            /* ̈.˻˲ */
	$"CB99 9B9B 99B9 99BB BB80 FB00 0080 F400"            /* ˙... */
	$"6EE5 000D 0606 6666 89B8 8666 6B66 B666"            /* n...fffkff */
	$"66B6 FC66 0B60 6606 6006 B6B4 4666 6606"            /* ff.`f.`.Fff. */
	$"66E3 000A 69BB B9B9 9966 6BB6 0066 9BFE"            /* f..ifk.f */
	$"BB01 9BB6 FD00 2C60 6B9B 99BB 9000 9CAC"            /* ..,`k. */
	$"CACC 9009 CACC CAAC 2CC8 8C8B B888 8ACA"            /* ̐ʬ,Ȍ */
	$"ACC8 C88C 8999 99CC ECAC CC2C 5BBB C298"            /* Ȍ,[ */
	$"F9BB 9BBB FE9B 05BB 6600 0006 60F0 0073"            /* .f...`.s */
	$"E400 0966 8666 68BB 8664 4444 66FE 6B10"            /* .ffhdDDfk. */
	$"64B6 6669 6600 6660 0666 6B6B 6666 6006"            /* dfif.f`.fkkff`. */
	$"60E6 0012 0666 6699 BB99 9996 6068 BB60"            /* `...ff`h` */
	$"0699 99B9 BBBB B6FC 0030 6888 88B9 9000"            /* ..0h. */
	$"9CCC ACCC C99C CCCA CCC9 6266 666C CCCC"            /* ̬ɜbffl */
	$"C886 6ACC CEEC ECCC CAEC CCAC CCBC BBBC"            /* Ȇj̬̼ */
	$"2E6B CB9B B9B9 BBBB 9B66 60FE 0002 6666"            /* .k˛f`..ff */
	$"08F2 0068 E400 FE66 0648 8BB8 66B6 6696"            /* ..h.f.Hff */
	$"FE66 0569 4666 69D6 06FD 6605 B6B6 6D66"            /* f.iFfi.f.mf */
	$"0060 E500 1269 9999 9B99 8666 6000 00DB"            /* .`..if`.. */
	$"B600 669B 999B 9B60 FB00 0686 6888 9900"            /* .f`..h. */
	$"09CA FBCC 0BC9 9666 6626 65CE ECCC CEE6"            /* .ɖff&e */
	$"66FB CC0F AACC CCCB CBB9 69F9 BBB9 99B9"            /* f.˹i */
	$"99B9 6666 FE00 0206 6666 F100 6FE4 0019"            /* ff...ff.o.. */
	$"6686 666E 86DB 8664 4949 96B6 6669 4466"            /* ffnۆdIIfiDf */
	$"6966 0666 B666 666B D666 E300 1406 699B"            /* if.fffkf...i */
	$"BB98 8860 0000 0800 06B6 0006 99B9 60BB"            /* `.......` */
	$"6D00 FE66 1C60 0666 6668 8B90 009C CCCA"            /* m.f.`.ffh. */
	$"CCCA CCC9 2A6A 2A2A 68CC CCEE ECCC CEEE"            /* *j**h */
	$"C9CC FEAC 0FCC AACC CBC2 2BBB B6CB B99B"            /* .̪+˹ */
	$"BBB9 9B66 66FD 0001 6006 F000 68E4 0013"            /* ff..`..h.. */
	$"6468 6464 486B B8B6 BD49 9966 6B69 94B9"            /* dhddHkIfki */
	$"9966 666B FE66 01BD 66E2 0005 0666 99D9"            /* ffkf.f...f */
	$"9996 FB00 0C6B 6000 6999 6066 06BB BD69"            /* ..k`.i`f.i */
	$"9996 FE66 1669 69B9 0009 EFEF CCCE E9C6"            /* f.ii. */
	$"2966 6668 8888 8CEC CCCC CEEC FDCC 0FAC"            /* )ffh. */
	$"CAAC CCBC C2BC BBDB 5BB8 B9B9 9B96 60FC"            /* ʬ̼¼[` */
	$"0000 60EF 006C E400 1869 9866 6448 86B8"            /* ..`.l..ifdH */
	$"E664 4669 4996 B694 66D9 966B BB66 BB6D"            /* dFiIfٖkfm */
	$"6B60 E200 050D 89BB 9B46 60FE 0026 0800"            /* k`..F`.&.. */
	$"0066 0800 6990 0000 6B99 B999 9699 B6BB"            /* .f..i..k */
	$"B96B 9669 009C EEE8 EECE CC92 9922 A288"            /* ki.̒" */
	$"FFFE ECEE EEFE CE05 EEEE CACA CCC9 FECC"            /* . */
	$"09BC CCB6 BDBB 8089 9966 96FC 0001 0666"            /* Ƽ̶f...f */
	$"EF00 69E4 0014 D646 8644 4688 BBE6 64B6"            /* .i..FDFd */
	$"B666 9966 99B6 9696 BBBB 6BFE B6E1 0006"            /* ffk.. */
	$"0666 8699 B660 08FD 0025 0660 0000 0666"            /* .f`..%.`...f */
	$"D080 6BB9 966B B999 BBBB B6B9 6990 0009"            /* Ѐkki. */
	$"EEEE FEC9 CC96 6C92 998F EE9E CCAC EEEC"            /* ̖l̬ */
	$"FECC 11AC CCAC CACA CCCC 9CCB 96BB BB88"            /* .̬̜˖ */
	$"0888 880D 66FC 0001 0BB6 EF00 68E4 0017"            /* .f....h.. */
	$"D964 846E 4E68 E886 6BBB B499 9966 999B"            /* dnNhkf */
	$"9B66 666B BBBB 6666 E000 0569 BB6B 8600"            /* ffkff..ik. */
	$"0DFE 6601 D060 FE00 0806 0660 008B 9B66"            /* f.`....`.f */
	$"B999 FCBB 0E6B 9000 09EE EE8C EC9E CC9C"            /* .k.̜ */
	$"6666 8FE9 FDCC 10EE CCEE EECA ACC9 9CC9"            /* ff.ʬɜ */
	$"C9BC 9CCC 6B9B BB80 FE00 0206 6660 FD00"            /* ɼk...f`. */
	$"016B 60EF 0069 E400 1706 B986 64C8 C86C"            /* .k`.i...dl */
	$"8886 B6B6 4496 B699 9499 B666 66B6 B666"            /* Dfff */
	$"60E0 0004 0686 6660 00FD 6601 6066 FD00"            /* `...f`.f.`f. */
	$"0860 0000 08BB BB08 BB6B FDBB 2996 BD99"            /* .`....k) */
	$"9CCE CEFE EEC9 6666 6928 8FEC ACAC CACC"            /* ffi(쬬 */
	$"CCEE EECC CACC CC9B 92CC 9966 6696 69B6"            /* ̛̙ffi */
	$"4888 8000 0006 60FE 0002 66DB 60EF 0062"            /* H...`..f`.b */
	$"E400 1106 9B86 6C8C CEEC 6686 6BBB B499"            /* ...lfk */
	$"9996 9999 6BFE BB02 B666 60DF 0002 0600"            /* k.f`.... */
	$"00FC 6600 60F8 0004 6866 06BB BBFE 9B2F"            /* .f.`..hf./ */
	$"BBBB 9BBC 9CEC EEE8 CE99 2C96 2668 FE9C"            /* Ι,&h */
	$"CCCA CCC9 C9CC ECEA C999 C92B BB99 6866"            /* ə+hf */
	$"4664 B964 6448 8000 006B 6000 0D66 6B66"            /* FdddH..k`.fkf */
	$"EE00 5FE3 0016 66D6 EC8C 66CC 6688 6444"            /* ._..fffdD */
	$"46B6 6B6B 9999 B6B6 D6B6 6666 60E0 0000"            /* Fkkֶff`.. */
	$"0DFD 6604 695C 99C9 60F6 0001 0DDB FCBB"            /* f.i\`.. */
	$"12B9 B9CC ACCE CEFE CEC6 CC6D 2A68 FEC9"            /* .̬m*h */
	$"ACAC C9C6 FE66 0E99 9BBB 99B9 CB66 6688"            /* f.ff */
	$"4646 B646 B488 FE00 0266 6006 FE66 0060"            /* FFF..f`.f.` */
	$"EE00 63E2 000E 6DEE 8C66 CCEE E88B 644B"            /* .c..mfdK */
	$"4D4B 4949 99FD 6B01 6666 DE00 0169 69FE"            /* MKIIk.ff..ii */
	$"9605 69E9 6C66 6D60 FC00 0408 8000 0806"            /* .ilfm`...... */
	$"FEBB 04BC D9BB B9BC FECC 28EE ECEC 9C9A"            /* .ٻ(윚 */
	$"A28A A8F9 FCCC CCC6 888B 8B86 B899 9CBC"            /* ƈ */
	$"6666 8B88 8666 4469 B646 8000 0006 6000"            /* fffDiF...`. */
	$"8000 0660 ED00 64E2 000A 0666 EC66 6EEC"            /* ..`.d...ffn */
	$"6886 BBBB 46FE B600 99FD B601 6660 E300"            /* hF..f`. */
	$"0080 FE00 0F86 6666 F666 9CCE CEC6 CCCC"            /* ...fff */
	$"C660 0000 66FC 0001 0DDB FEBC 21BB BBB9"            /* `..f..! */
	$"B9CB CCAC CEEE CC9C 9888 6888 EFCF C9B6"            /* ̬̜hɶ */
	$"B8BB BB9E EEEB B8BB 6688 8B86 8666 86FD"            /* 븻ff */
	$"6600 88FD 0002 0800 88EB 005B E100 0966"            /* f......[.f */
	$"CC66 E6EC E8EE 6BBB BBFA 6B01 6660 DF00"            /* fkk.f`. */
	$"0908 669C CFC6 CAAC EEEC ECFE CC02 C600"            /* .fʬ.. */
	$"06FE 6605 0006 606B BBCB FEBC 02B9 BB9C"            /* .f...`k. */
	$"FECC 04CE CCCC CAC2 FE66 0388 8B89 8BFC"            /* .f. */
	$"BB09 99BB B886 B668 686B 6668 FD66 006D"            /* ƙhhkfhf.m */
	$"FD00 0188 80EA 005F E100 0866 E6CE 6E6E"            /* ..._..fnn */
	$"C8EC B6BB FDB6 0066 FEB6 0066 DE00 0C8C"            /* 춻.f.f.. */
	$"CEFF FCCC FFAC CCCA CE6C ECCC FE66 07CE"            /* lf. */
	$"CC66 666D 666B BCFE CB20 CCBB B9BB CBCA"            /* ffmfk ̻ */
	$"CCAC CCAC C999 8A6A 68BA BBBB B8B8 9998"            /* ̬̬əjh */
	$"BB99 B99B 6668 6688 6666 86FD 6602 6466"            /* fhffff.df */
	$"80FD 0000 80EA 005A E100 0B6C 6ECC 6B66"            /* ...Z..lnkf */
	$"EC8E 6BBB 666B 6BFC 6600 60DE 0005 8EEC"            /* kfkkf.`.. */
	$"CFFF FFFA FCCC 15EE FCEE EEEC CCCA CACC"            /* . */
	$"6666 CCCC BBBC BCBB CCD9 9999 C9FD CC14"            /* ff̻ٙ. */
	$"99C9 9888 88B8 8DBA B99B B8B9 999B BB96"            /* ɘ */
	$"68B6 8668 6BFC 6603 4666 8680 FE00 0008"            /* hhkf.Ff... */
	$"E900 5FE1 0006 08E6 EEBB 996E E8FE B6FD"            /* ._...n */
	$"6603 0006 6666 E200 1408 0008 008E CEEC"            /* f...ff...... */
	$"EECC CCCA CCCC ACAC EECF EECC ECEC FECC"            /* ̬ */
	$"2EC6 6CCE FCCC BCBC CCCC 9990 999C 9BC9"            /* .l̼̙ */
	$"CACA CC98 6CA8 8CCC 8888 AE99 9B9D BBB9"            /* ̘l̈ */
	$"9996 8686 8B88 6688 6686 6666 4644 4680"            /* ffffFDF */
	$"E500 63E0 000C 8C08 CC6B 6ECE 8B6B 6666"            /* .c...kn΋kff */
	$"0000 66FE 0000 66E1 0039 0800 08CC CCCE"            /* ..f..f.9... */
	$"CCCE CACC CFAC CCCC EFCE EEEC CECC CACE"            /* Ϭ */
	$"CAC6 ECEF 0ECB CCCA CACB C994 0999 B99B"            /* .ɔƙ */
	$"99CC CC86 CA8C 8CAC C888 88AE BEAA EBAE"            /* ̆ʌȈ */
	$"BAE6 8688 FE68 0086 FE66 0464 6446 6880"            /* 憈h.f.ddFh */
	$"FE00 0008 E900 58E0 0008 0880 8EEB 96EE"            /* ....X... */
	$"C6B6 B6FA 0001 66D0 E200 1380 006C ECCC"            /* ƶ..f...l */
	$"ACEC CFCE CCF8 ACCC CCEC CFEC ECAC ACFE"            /* 쬬 */
	$"CC0E C6CA F00E CCCB BCCA CCCC CD00 9990"            /* ..˼. */
	$"99FE 9B07 CCA8 A68C ACCC B8B8 FA88 0168"            /* .̸̨.h */
	$"88FD 68FD 6602 8686 88FD 0000 08E9 005A"            /* hf.....Z */
	$"DF00 0886 08CE B69C C86B 6660 FB00 0206"            /* ...ζkf`... */
	$"6060 E200 3B86 BBEC ACFF FCFF CCC8 EFFC"            /* ``.; */
	$"CACC FCCE CECA CAC8 ACEE CCA6 EEEF 0EEC"            /* Ȭ̦. */
	$"ACCB CAAD CBC4 D000 0609 9B9B B9BD 8C6A"            /* ʭ..ƛj */
	$"AAAC CBCB BB8B 88BB 8668 6668 6666 8686"            /* ˻hfhff */
	$"6BFD 6603 4644 6880 E400 5ADF 0008 0860"            /* kf.FDh.Z...` */
	$"8CBB 6EE8 CEE6 60FA 0001 6006 E200 0B68"            /* n`..`...h */
	$"BEBC CACA CFFF CCFE E8EA CEFE CC1A CEAF"            /* .ί */
	$"FF8C CCCE CACC 6FEF 00EE CACC BCCA CCCC"            /* o.̼ */
	$"46D0 6400 0999 9099 BCFE CA00 CBFD BB0A"            /* Fd.ƙ.. */
	$"B668 D69B 6669 6668 8686 68FE 6604 4686"            /* h֛fifhhf.F */
	$"8800 80E5 0055 DE00 0680 08CB B6C8 EEE6"            /* ..U...˶ */
	$"D900 0408 8BBC CCAC FEEC 1DCE CCCE FFCC"            /* ...̬. */
	$"ACCC ECEC C888 CCCC CECC BBB6 AFF0 0EEF"            /* Ȉ̻. */
	$"CBCC AACB CCC6 64A4 6DFD 0004 9BCC ACAC"            /* ̪dm..̬ */
	$"CCFC BB05 DB86 66BB B669 FD66 0768 6668"            /* .ۆfif.hfh */
	$"6668 8008 80FE 0000 80E9 0058 DC00 048C"            /* fh....X.. */
	$"E6CE 8C66 FA00 03D6 6600 06E4 000E 866B"            /* Όf..f....k */
	$"BCBC CFCA CACE CCCE ECEF CACC ECFD CC13"            /* . */
	$"ACCA CECC C5BB 6CEF 00EF ACCA ACAA CBCA"            /* Żl.ʬ */
	$"AAAA CCE0 FE00 050F CACC C5CC CBFE BB0A"            /* .... */
	$"B666 8886 BB66 6696 6668 68FE 8803 D880"            /* ffffhh.؀ */
	$"0008 E400 57F7 0001 06D0 E800 0408 E6EE"            /* ...W...... */
	$"EE66 FB00 0306 6006 66E3 0003 86BC BC4B"            /* f...`.f..K */
	$"FBCC 1CEC EFAC ACEC ECCC AECE AAAA FCCA"            /* .שּׁ̮Ϊ */
	$"CBAB 6FEF 00DE FACB CACA CCAC CCCC 8FFE"            /* ˫o.̬̏ */
	$"FE00 120F CCCC CBCB BB99 99BB 6688 0086"            /* ...˻f. */
	$"B666 666B 9666 FE88 0008 E000 60F5 0000"            /* ffkf...`.. */
	$"60E9 0001 08C6 FE66 0060 FE00 016E 60FE"            /* `...f.`..n` */
	$"0002 6660 60E5 0027 86BB BCBC EFCF CCCE"            /* ..f``.' */
	$"CCEC CECF CCAE ECAE CCCE CCFF FFCC ACAC"            /* ̮̬ */
	$"B6AC AEF0 0EFC CCBC A5AC CCBC ACC8 FFE0"            /* .̼̼ */
	$"FE00 02FC FCCC FDBB 0D9B 6680 0088 B699"            /* ..f. */
	$"6BBB BB88 8800 80FA 0000 08E7 0057 F400"            /* k.....W. */
	$"0060 EA00 0A08 6666 6D66 6000 0006 EEE0"            /* .`...ffmf`... */
	$"FD00 0166 60E6 000E 0886 C9CC ECBC 4ECE"            /* ..f`...N */
	$"CECC ECEE ECCC ECF9 CC10 BCBB 6CBC ACF0"            /* .l */
	$"0EEF BCCA AACC ACAC CBCC EEFD 0003 0F0D"            /* .ʪ̬... */
	$"B6B9 FE99 0DBB 8000 0008 B69B 6B66 B688"            /* »...kf */
	$"8000 80DF 005E F400 0066 EA00 0A08 8688"            /* ..^..f... */
	$"66E6 6600 0006 EE60 FC00 0066 EA00 0008"            /* ff...`..f... */
	$"FE00 0A08 D6BB BBCB ECC4 C4CC CCEC FDCC"            /* ...ֻ */
	$"00EC FDCC 0ACB CCCB CAB6 CCCA CBB6 00EF"            /* ..ʶ˶. */
	$"FECC 00BA FECC 01CE E0FC 0001 08B9 FEBB"            /* ..... */
	$"0199 B8FD 0007 86B9 6B6B BBB8 8008 FB00"            /* ...kk.. */
	$"0066 E500 52DB 0000 88F9 66F9 0001 6660"            /* .f.R..f..f` */
	$"EC00 0080 FE00 0F86 BB9B CBCB ECCC BC4C"            /* ....̼L */
	$"CCCE CCCE CCCC ECFE CB0D CCBB CACA 6CAC"            /* ̻l */
	$"CAAC B600 0EFC BCCA FDCC 00EE FB00 0608"            /* ʬ...... */
	$"B669 B999 9B80 FD00 0686 6B69 B9B9 B660"            /* i..ki` */
	$"FB00 0106 66E5 005D DA00 0788 888E 66E6"            /* ...f.]..f */
	$"E666 66FE 0008 0660 0000 0666 6606 60ED"            /* ff...`...ff.` */
	$"0028 8000 0086 9B4B BB4B C4CB 4CBB CC4C"            /* .(..KKLL */
	$"4CBB BCBB CCCB CBBC BBCB BBBC 6C9D CCCB"            /* L˼˻l */
	$"BB60 0EEF CCBC CBCB CCCE E0FB 0005 08B9"            /* `.̼... */
	$"B999 BBB8 FC00 0688 6B69 BB9B 9B88 FB00"            /* ..ki. */
	$"0106 66E5 004D D800 FE88 0286 6666 F600"            /* ..f.M..ff. */
	$"0006 EA00 1F86 44B4 BBBB BC4C CCCC BCCC"            /* ....DL̼ */
	$"C4EC ECBC BBBC CCBB CCBC BCCB 6CCC 66BB"            /* 켻̻̼lf */
	$"BB60 00EE FCFD CC00 EEF9 0004 8B6B 99B8"            /* `....k */
	$"80FC 0007 8886 6B8B 9B6B B680 FC00 010D"            /* ..kk.. */
	$"60E5 004C D500 0486 E666 6660 E400 0780"            /* `.L..ff`.. */
	$"8000 0086 994B 4BFE BC05 BBBC CB4B BCBB"            /* ..KK.K */
	$"FDCB 02BC BBCB FEBB 0D6C C6BB 6BBB B600"            /* .lƻk. */
	$"0EFF CCBC CFEE E0F9 0003 8B99 6BB8 FB00"            /* .̼..k. */
	$"0308 0888 DBFE BB00 60FB 0001 6060 E600"            /* ....`..``. */
	$"4CD5 0001 8886 FE66 F700 0060 EF00 0708"            /* L..f..`... */
	$"0000 0889 9B94 B4FE BB00 BCFD BB17 BCBB"            /* ..... */
	$"BCBB BCBB BBBC BCBB CBB6 6BBB 6BBB BB60"            /* ˶kk` */
	$"0DE8 CCCF CEE0 F800 038B B9BB 88F9 0005"            /* .... */
	$"8888 B93B 3B88 FB00 0106 06E6 0048 D400"            /* ;;.....H. */
	$"0006 FE66 E100 1608 8899 996B B4BB BBCB"            /* ..f...k */
	$"BBBC BBBC BBBC BBCB BBBB CBBB BBCB FDBB"            /* ˻˻ */
	$"086B BBBB B600 E88F 8EE0 F700 0308 9999"            /* .k.菎... */
	$"80FC 0008 0800 0086 0086 BB9B B6FC 0003"            /* ........ */
	$"6060 0660 E700 43D2 0001 6666 FC00 0160"            /* ``.`.C..ff..` */
	$"66FE 0000 60EB 0003 889B 9694 F0BB 0FCB"            /* f..`... */
	$"BBCB BCB6 B6BB BBB6 60EF EEE0 0000 80FB"            /* ˼`.. */
	$"0005 8000 08BB 9B80 FC00 0808 0000 6800"            /* .........h. */
	$"086B BB68 FA00 0060 E600 45D2 0001 66D6"            /* .kh..`.E..f */
	$"FD00 0366 606F 6DE8 0005 8899 6964 4BB9"            /* ..f`om..idK */
	$"FDBB 039B BBBB B9F8 BB0C BCBB 66B6 BBBB"            /* ..f */
	$"B860 EE00 0066 60F7 0002 8699 80F9 0005"            /* `..f`.... */
	$"8800 0086 B680 FD00 0406 0006 0660 E700"            /* ........`. */
	$"47D1 000A 6660 0000 0666 666E FF66 66EA"            /* G..f`...ffnff */
	$"000A 0888 9969 644B B969 B6B9 6BFE BB02"            /* ...idKik. */
	$"B9BB 9BFA BB0A B6CB 6B6D B8B8 B600 0666"            /* .km..f */
	$"B6F6 0002 8BBB 80F9 0004 6800 0008 B8FC"            /* ....h... */
	$"0003 6000 0660 E600 43D1 000B 0666 0006"            /* ..`..`.C...f.. */
	$"6669 6EFE E888 6666 EA00 0E08 66B9 6946"            /* finff...fiF */
	$"4444 B64B 6BBB 99B9 B99B F9BB FDB6 06BB"            /* DDKk. */
	$"88BB 666B B9B6 F600 0108 B8FB 0007 0800"            /* fk....... */
	$"0088 8000 0660 F800 0066 E700 49D0 00FD"            /* ...`..f.I. */
	$"6608 6966 6E8E E666 6660 D0EC 000A 0869"            /* f.ifnff`...i */
	$"6964 46B4 6466 6444 99FD BB04 B9BB 69B6"            /* idFdfdD.i */
	$"B6FE BB0A B6BB 6668 888B 888B BB96 60F5"            /* .fh` */
	$"0001 8008 F900 0306 8800 06FC 0005 6600"            /* ..........f. */
	$"0006 6666 E700 48CF 0007 0666 6669 6B9E"            /* ..ff.H...ffik */
	$"B686 FE66 0160 0DEC 0002 8666 69FD 9601"            /* f.`..fi. */
	$"6D66 FD99 12B9 BB96 9B69 9999 BBBB 66B6"            /* mf.if */
	$"B6B8 88BB 8BBB 9B60 F300 0088 FB00 0408"            /* `..... */
	$"0008 B880 FB00 0566 6000 6066 66E7 0049"            /* ....f`.`ff.I */
	$"CE00 0566 66D9 9B98 88FB 6601 00D0 EE00"            /* ..ffٛf... */
	$"0108 86FD 6615 6888 8868 8899 B9B8 B866"            /* ..f.hhf */
	$"9696 6BBB BBB6 6BBB BB88 BB88 FEBB 0060"            /* kk.` */
	$"F700 0080 FE00 0008 F900 0208 6688 FB00"            /* ........f. */
	$"056B 6600 0006 60E7 003B CE00 0466 66EB"            /* .kf...`.;..ff */
	$"8986 F966 0060 ED00 0008 FD88 1880 0088"            /* f.`..... */
	$"8868 9866 6B88 B668 66B6 B9BB 66BB BBB8"            /* hfkhff */
	$"B8BB 8BB9 B9B6 EA00 0308 6088 68FC 0002"            /* ...`h.. */
	$"0666 86E3 0043 CE00 0366 69B8 99FB 6603"            /* .f.C..fif. */
	$"69B6 6666 EC00 0188 80FD 000D 0888 888B"            /* iff.... */
	$"6B66 B6B6 888B 8669 666B FBBB 029B B960"            /* kfifk.` */
	$"F600 0008 F600 0508 6608 8800 06FE 0002"            /* ......f..... */
	$"6668 66FE 0000 06E7 0036 CE00 0266 E996"            /* fhf....6..f */
	$"FA66 0469 B666 6660 E500 0A88 6886 88B6"            /* f.iff`..h */
	$"6898 8888 B999 FABB 02BD BB60 EA00 0308"            /* h.`... */
	$"6660 08FD 0003 6666 B860 FE00 0006 E700"            /* f`...ff`.... */
	$"3FCF 0000 06F9 6606 9969 99B9 6666 60E7"            /* ?...f.iff` */
	$"000D 0800 0888 6666 B668 8888 9889 6966"            /* ....ffhif */
	$"FEBB 04B6 BBB9 BB66 E900 1208 6666 60D0"            /* .f...ff` */
	$"0000 6666 6B66 6800 0006 6006 0006 EA00"            /* ..ffkfh...`.... */
	$"41CF 0002 6D68 86FD 6605 69BB 9999 9B96"            /* A..mhf.i */
	$"FE66 E700 1480 0000 8686 6866 6888 9866"            /* f....hfhf */
	$"6699 6BBB 8BBB BB6B 9B66 E700 028B 8666"            /* fkkf..f */
	$"FE00 0C86 B666 8880 0666 6600 6600 6660"            /* ..f.ff.f.f` */
	$"EB00 3DCF 0001 6668 FB66 0369 B9BB 96FE"            /* .=..fhf.i */
	$"6600 60E5 0011 0898 6866 6688 9888 6696"            /* f.`...hfff */
	$"968B B808 BDB6 BB96 E600 1286 6B86 6000"            /* ...k`. */
	$"0086 66B8 6680 6666 6000 6000 6666 EB00"            /* .ffff`.`.ff. */
	$"41D5 0000 80FC 0001 66E8 F966 0099 FB66"            /* A....ff.f */
	$"0060 E700 1108 8886 6668 8888 9666 6996"            /* .`...fhfi */
	$"BB80 8BBB B666 B6E7 000E 0608 6666 6000"            /* f....ff`. */
	$"0086 66B8 6800 6666 60FE 0003 6666 0660"            /* .fh.ff`..ff.` */
	$"ED00 3FD0 0002 066E 68F8 6600 68FB 66E6"            /* .?...nhf.hf */
	$"0010 8666 6668 8889 6696 6698 B800 8BB6"            /* ..ffhff. */
	$"BB66 60E6 000C 6088 6866 0600 8666 6868"            /* f`..`hf..fhh */
	$"0666 66FD 0000 06FE 6600 60FD 0001 0660"            /* .ff...f.`...` */
	$"F400 47D5 0001 0880 FE00 0206 CEE8 F866"            /* .G......f */
	$"0486 8666 6696 FC66 E900 0F88 8666 B898"            /* .fff..f */
	$"8666 6669 98B8 88BB BB66 66E3 0004 8666"            /* ffiff..f */
	$"6000 08FE 880C 0666 6600 0600 0006 6668"            /* `....ff.....fh */
	$"6B66 66FE 0001 0666 F400 46CF 0002 6CE8"            /* kff...f.F..l */
	$"86FE 6600 68FE 6600 68F8 6601 4660 EA00"            /* f.hf.hf.F`. */
	$"0308 6666 68FD 8801 8998 FEBB 026B 6666"            /* ..ffh..kff */
	$"E400 0960 0866 6006 0000 0800 06FE 6009"            /* .`.f`......` */
	$"0000 6600 0666 86B6 6666 FE00 0166 60F5"            /* ..f..fff..f` */
	$"0052 FA00 0006 D800 0706 CEFE 8666 9666"            /* .R......ff */
	$"86FD 660B 6866 9669 6696 9666 6444 6660"            /* f.hfiffdDf` */
	$"EA00 0E86 66B8 B888 B886 6896 8BBB B6B6"            /* ..fh */
	$"6660 F800 0080 EE00 0306 0086 6DFB 0011"            /* f`......m.. */
	$"6606 6006 0000 6000 0668 B6B6 6660 0006"            /* f.`...`..hf`.. */
	$"6660 F500 49CF 0006 6CCF 8666 6668 96FD"            /* f`.I..lφffh */
	$"6600 89FE 6608 9666 6699 9499 9446 60EB"            /* f.f.ffF` */
	$"0009 8866 8B88 6888 B866 999B FEBB 00B9"            /* .ƈfhf. */
	$"F000 0080 F400 0306 0880 66FC 0000 66F9"            /* ......f..f */
	$"0009 6688 6886 6606 6060 0060 F600 41CF"            /* .fhf.``.`.A */
	$"0002 06CF E8FC 6600 68FC 6609 9669 6669"            /* ...f.hfƖifi */
	$"999B 99B4 B460 EB00 0908 8B89 9999 696B"            /* `..ik */
	$"B99B 6BFE BB00 96E0 0003 0866 6660 F900"            /* k....ff`. */
	$"0060 FE00 0006 FE66 0086 FD00 0006 F600"            /* .`...f..... */
	$"4DCE 0016 6CE8 8666 6686 6986 6996 6966"            /* M..lffiiif */
	$"6699 9969 6999 B99B 4444 60EB 000E 0886"            /* fiiDD`... */
	$"B9B9 6B9B 99B9 B96B BBBB B9BB 60F1 0000"            /* kk`.. */
	$"08F1 0003 886B 66B6 FB00 0406 0660 0000"            /* ...kf....`.. */
	$"FE66 0260 6860 FE00 0206 6060 F800 4AED"            /* f.`h`...``.J */
	$"0000 06E3 0016 6CCF 8666 6866 6866 6696"            /* .....lφfhfhff */
	$"6669 6999 9996 6992 9999 9B46 60EA 0008"            /* fiiiF`.. */
	$"8B69 6999 9696 BB66 6BFE BB01 B960 DF00"            /* iifk.`. */
	$"0388 8866 B6FD 0002 0660 60FD 0004 0660"            /* .f...``...` */
	$"0008 66FC 0000 66F8 0043 ED00 0006 E300"            /* ..f..f.C.... */
	$"0C06 CE86 6666 9696 6969 9996 969B FD99"            /* ..Άffii */
	$"049B 9B99 4B66 EA00 0509 BB96 9BB6 B6FD"            /* .Kf..ƻ */
	$"BB04 6BBB B666 60DD 0007 8888 8060 6000"            /* .kf`..``. */
	$"0066 F800 0186 66FC 0000 06F9 0045 CE00"            /* .f..f....E. */
	$"040D CC86 6696 FE66 0199 29FE 6900 B9FE"            /* .̆ff.)i. */
	$"9904 2999 9926 60E9 0005 9BBB BB6B BBB6"            /* .)&`..k */
	$"FEBB 006B FEBB 0060 FE00 0008 DC00 0106"            /* .k.`...... */
	$"60FE 0000 60FE 0004 6000 0008 80FA 0000"            /* `..`..`..... */
	$"66FB 0036 CD00 0C6C E866 6696 6696 6969"            /* f.6..lfffii */
	$"B646 99B9 FC99 0296 9660 E900 019B B6FE"            /* F.`.. */
	$"BB00 B6FE BB00 6BFE BB04 B608 0000 08D8"            /* ..k..... */
	$"0005 6666 6000 0064 EF00 3FCD 0013 6CEF"            /* ..ff`..d.?..l */
	$"8666 6696 6699 B969 699B B9B9 99BB 9999"            /* fffii */
	$"6966 E900 0009 FEBB 0F6B BB6B 6BBB B66B"            /* if...kkkk */
	$"BBBB B666 0080 0068 80DA 0007 0644 4466"            /* f..h...DDf */
	$"0000 6440 F700 0006 FB00 3DCD 000D 6CCE"            /* ..d@....=.l */
	$"E888 6666 9669 9B46 9969 B49B FEB9 0292"            /* ffiFi. */
	$"2696 E900 0209 CCCC FEBB 086B B6BB 6BB6"            /* &...kk */
	$"BBBB 6BB6 FE00 0166 80DC 0009 0660 06BB"            /* k..f..`. */
	$"B460 0000 6B46 F000 45FC 0000 60D3 000F"            /* `..kF.E..`.. */
	$"06CC FEEE 8666 6699 99B9 B99B 49BB DB9B"            /* .ffIۛ */
	$"FE99 0060 E900 0299 CA8C FEBB 046B BBBB"            /* .`..ʌ.k */
	$"66B6 FEBB 0566 0000 06B6 80DC 00FE 6607"            /* f.f....f. */
	$"B2B4 6000 006B 4460 F700 0060 FC00 3ECC"            /* `..kD`..`.> */
	$"0012 666F EED8 8669 9699 9BBB B44B 9BBB"            /* ..fo؆iK */
	$"B9B6 2969 60E9 0004 9CCC CBBC CBFE BB03"            /* )i`..˼. */
	$"666B BB6B FEB6 0400 066B B680 DD00 0B66"            /* fkk...k..f */
	$"6244 444B B466 6000 6BB9 60F1 0044 CB00"            /* bDDKf`.k`.D. */
	$"1166 FEFE E869 229B 4999 4994 9B29 BB92"            /* .fi"II) */
	$"9696 60E9 0013 9CCC 8ACC BABB BBB6 6BBB"            /* `..̺̊k */
	$"B996 9968 8000 06BB B680 DE00 0C06 2BB2"            /* h.....+ */
	$"222B BBB4 4466 006B B460 F700 0006 FD00"            /* "+Df.k`.... */
	$"0060 42F2 0001 0660 DC00 1006 6FFE EE89"            /* .`B...`...o */
	$"99B9 4994 44B4 B99B 2626 9666 E800 049C"            /* ID&&f.. */
	$"CAAA CBAC FCBB 09B9 9696 8000 0006 B6B8"            /* ʪˬƹ... */
	$"80DE 0002 06BB BAFD BB05 B446 666B B466"            /* ....Ffkf */
	$"F300 0166 0642 CA00 0F6E FEFE 8629 9249"            /* ..f.B..n)I */
	$"44B4 49B9 99B2 6996 60E8 0006 09CA 8ABB"            /* DIi`..ʊ */
	$"BCAA CBFE BB02 9A99 98FE 0002 06B6 68DE"            /* ....h */
	$"0005 0666 B2BB ABAB FEBB 0549 4449 B446"            /* ...f.IDIF */
	$"60F8 0001 0660 FD00 45CA 000F 6FEC FE89"            /* `...`.E..o */
	$"99B9 4444 4B42 99BB 9299 6660 E800 0C09"            /* DDKBf`.. */
	$"CBFA CCAB BABC CCBB BB99 9680 FE00 0206"            /* ̫̻... */
	$"B6B8 F600 0080 EB00 0706 662B BBAA 2A2B"            /* .....f+*+ */
	$"2BFD BB03 2BB9 4660 FA00 0006 FA00 4902"            /* +.+F`....I. */
	$"0000 06F3 0000 60DC 000E 6FFC FE89 2294"            /* .....`..o" */
	$"4949 44B6 B992 2996 66E7 0006 09CE FCAA"            /* IID)f.. */
	$"AAAB ABFE BB01 BA96 FD00 026B 6668 E000"            /* ...kfh. */
	$"1006 66BB BBAB AB2A AA2A BBBB EBBB BB2B"            /* ..f**뻻+ */
	$"4968 F900 0060 FB00 46CA 000E 6AFC FE89"            /* Ih..`.F..j */
	$"9B94 9444 B29B 9B29 666D 60E6 0011 9CEF"            /* D)fm`.. */
	$"AAAC CBAC BBCB BBB9 9960 0000 0666 6680"            /* ˬ˻`...ff */
	$"FD00 0008 E500 1064 229B BA2A AA2A 2AB2"            /* .....d"*** */
	$"2BBA AAAA BABB B998 F900 0106 60FC 0043"            /* +...`.C */
	$"F100 0160 60DD 000E 066A AEE8 9299 B449"            /* ..``...j蒙I */
	$"424B B966 6D66 60E5 0010 9CEF CBCA CAAC"            /* BKfmf`..ʬ */
	$"CCAB ABAA A980 0000 06B6 68E0 0008 06BB"            /* ̫...h... */
	$"BBB9 BBBB 2AAA ABFE BB06 AA2A BBAB B666"            /* *.*f */
	$"80F3 003F CA00 0B6C EEE8 999B 94D4 94B6"            /* .?..l虛Ԕ */
	$"9996 60E3 0010 09CE CCBC CBCC ABA9 BBBA"            /* `..̼̫ */
	$"9980 0000 0666 68FE 0000 08E4 0012 6BB2"            /* ...fh.....k */
	$"99BB BABA BBAA A222 2A22 2AAA BBBB B446"            /* "*"*F */
	$"68F3 0035 CA00 0A6A CE68 92B9 2494 4BBB"            /* h.5..jh$K */
	$"9696 E200 1009 CEFA AAAB AACC BCBB 9999"            /* ..̼ */
	$"6000 0006 6880 E000 044B B2BB 9EB2 F8AA"            /* `...h..K */
	$"052A BBBB 9466 80F4 003A CB00 0B06 6CCE"            /* .*f.:...l */
	$"8699 9BB9 42B4 B9B9 66E2 000A 09CA CCAA"            /* Bf..̪ */
	$"ACAA CBAC B999 88FD 0000 68DF 0013 06B9"            /* ˬ..h... */
	$"BBEA BAAA AAAE AAAA AB2B AAA2 A222 BAB4"            /* 꺪+" */
	$"9460 F400 37DD 0000 80EF 000A 6ACE 89B2"            /* `.7....jΉ */
	$"B294 994B 9B29 66E1 0008 9CCC ACCC ACCA"            /* K)f..̬̬ */
	$"BB9A 98D9 0013 6BBB EBB2 BAAA ABAB 2F2F"            /* ..k벺// */
	$"BF22 22A2 BFF2 BBBB B448 F400 39DE 0001"            /* ""򻻴H.9.. */
	$"0880 F000 0706 A6A8 89B9 99B9 44FE B900"            /* ....D. */
	$"96E1 0008 9CCF CCAC CACC CB99 98D9 0013"            /* ..̬˙.. */
	$"4BBB 9EBA AABA AABA ABBA ABBB A2AB EFBA"            /* K */
	$"22BB B946 F400 34CB 0003 06CA E892 FE9B"            /* "F.4... */
	$"0492 B9BB 9960 E100 089C AEF8 CCAC BC6B"            /* .`..̬k */
	$"6998 D900 1306 2BB2 22BA BB2A AA2A AA22"            /* i...+"**" */
	$"BAB2 2BBF 2A22 BB94 68F4 0033 CB00 0666"            /* +*"h.3..f */
	$"A688 92B9 29B9 FEB2 0192 60E1 0008 09CE"            /* ).`.. */
	$"CFAC CCCC CB98 80D8 0012 6BE2 BAB2 ABBB"            /* Ϭ˘..k⺲ */
	$"BBAB BABB BB2B BBA4 BA2B BBB4 66F4 0030"            /* ++f.0 */
	$"CB00 0A06 CA89 292B BB9B B9B9 2996 DF00"            /* ...ʉ)+). */
	$"069C EFCC CCAC 6998 D700 05D2 BBBB ABBB"            /* .̬i..һ */
	$"BAFE BB04 22BB BBB2 EFFE BB01 B968 F400"            /* .".h. */
	$"30CB 000A 6A68 8992 9B99 B9B9 B299 66DF"            /* 0..jhf */
	$"0006 9CCF CCC6 B9A6 68D7 0012 62BB BBBA"            /* ..ƹh..b */
	$"B2B6 4646 6464 BB22 BBB4 BABB BB94 80F4"            /* FFdd" */
	$"002F CB00 0A06 68E9 999B 92B9 B229 2660"            /* ./...h陛)&` */
	$"DF00 06D9 CCCC CAB6 9680 D700 1142 BB2B"            /* ..ʶ..B+ */
	$"BB24 6060 0006 0626 46BE 2FB2 BBBB 4DF3"            /* $``...&F/M */
	$"002B CB00 0966 B8E9 2999 9B92 D2D9 90DE"            /* .+.f)ِ */
	$"0005 06CC 9A88 8880 D600 046B 2464 6460"            /* ...̚..k$dd` */
	$"FC00 0764 04BB BBB2 BBB9 68F3 0029 CB00"            /* ..d.h.). */
	$"0966 B8E9 9999 B9B9 2966 60DE 0002 0688"            /* f陙)f`... */
	$"88D3 0001 0646 F900 0740 064B BBBB B2B4"            /* ...F..@.K */
	$"60F7 0000 08FE 001A CB00 076B B8E2 999B"            /* `.......k♛ */
	$"9999 929F 0005 64BB BBB9 B680 F600 0266"            /* ..d..f */
	$"0000 1CCC 0009 06B6 88E6 2929 9929 9660"            /* .....)))` */
	$"A100 0588 06BB 29BB 46F5 0002 0660 001A"            /* ...)F...`.. */
	$"CC00 0806 668E E292 9929 9266 9F00 0406"            /* ...f⒙)f... */
	$"4B44 9468 F500 0286 6600 18CB 0007 6B88"            /* KDh..f....k */
	$"4E29 2966 6660 9E00 0364 4666 80F5 0002"            /* N))ff`..dFf.. */
	$"0660 0018 CC00 0666 6688 4EE2 6E60 9C00"            /* .`....ffNn`. */
	$"0306 6600 60F6 0003 660D 6000 12CC 0006"            /* ..f.`..f`.... */
	$"066B 8842 EEE6 668E 0002 0666 60FF 0015"            /* .kBf...f`.. */
	$"CC00 0566 B684 E2E2 6099 0000 06F6 0004"            /* ..f`..... */
	$"66B6 6000 0017 CC00 0506 6688 4E2C 609A"            /* f`......fN,` */
	$"0002 6666 80F8 0002 66B6 60FE 0016 CD00"            /* ..ff..f`... */
	$"0506 06B6 884E C699 0001 66B6 F800 0266"            /* ...Nƙ..f..f */
	$"6B66 FD00 14CC 0004 0668 84EC 6098 0000"            /* kf.....h`.. */
	$"68F9 0002 066B 66FC 0013 CC00 0366 688E"            /* h...kf....fh */
	$"E697 0000 80F9 0002 0666 60FC 000F CD00"            /* .....f`... */
	$"0560 6668 4EEC 608E 0000 06FB 000F CD00"            /* .`fhN`...... */
	$"0506 06B8 86CE 608F 0000 06FA 000F CD00"            /* ...`...... */
	$"0406 0686 8EE6 BE00 0108 88CB 000D CC00"            /* ........ */
	$"0306 688E 60BD 0000 80CB 000D CC00 0306"            /* ..h`...... */
	$"666E 60FD 0000 808B 000F CD00 0406 0668"            /* fn`........h */
	$"6E60 FE00 0108 888B 0008 CB00 0266 EE60"            /* n`.......f` */
	$"8600 0FCC 0004 6066 8660 60BD 0001 0880"            /* ....`f``... */
	$"CD00 0DCC 0001 0606 FD66 F500 0008 9500"            /* .....f.... */
	$"08CA 00FE 6600 6088 0007 C900 0106 6087"            /* ..f.`.....` */
	$"0004 8100 CD00 0481 00CD 0004 8100 CD00"            /* .......... */
	$"06BE 0000 1091 0006 C000 0001 8F00 0481"            /* ........... */
	$"00CD 0004 8100 CD00 0AC2 0000 11FE 0000"            /* ........... */
	$"0191 0006 BF00 0001 9000 07C0 0001 3330"            /* ..........30 */
	$"9000 08C1 0002 3353 3090 0008 C200 0233"            /* ....3S0....3 */
	$"5553 8F00 09C3 0003 3353 5333 8F00 0EC4"            /* US...3SS3.. */
	$"0004 0335 3553 30B7 00FB 33DF 001E 0100"            /* ...55S0.3.... */
	$"00FC 3300 30CC 0003 0355 5353 BB00 FC33"            /* .3.0...USS.3 */
	$"0055 FE35 0455 3533 3330 E200 2901 0033"            /* .U5.U5330.)..3 */
	$"FE53 0455 5533 3330 D100 0903 3300 3355"            /* S.UU330..3.3U */
	$"5533 0000 10BF 0005 3335 5355 3553 FB55"            /* U3.....35SU5SU */
	$"FE53 FC33 E700 310A 3335 5535 5355 3535"            /* S3.1.35U5SU55 */
	$"5553 33D2 0006 3535 3353 5555 30BD 0002"            /* US3..553SUU0.. */
	$"0335 53FE 5500 53FD 5500 53FD 5501 3555"            /* .5SU.SU.SU.5U */
	$"FE35 F833 F100 0033 3C01 5553 FB55 FE53"            /* 53..3<.USUS */
	$"FB33 D900 0703 3555 3555 5353 30BE 0002"            /* 3...5U5USS0.. */
	$"0333 53FC 5500 35FC 5507 5355 5553 5535"            /* .3SU.5U.SUUSU5 */
	$"5555 FE53 0755 5353 5535 5533 30F8 0000"            /* UUS.USSU5U30.. */
	$"03FD 3300 532F F655 FE35 0355 3553 33DA"            /* .3.S/U5.U5S3 */
	$"0001 0353 FE55 0235 5530 C100 0003 FE33"            /* ...SU.5U0...3 */
	$"0053 E455 0135 53FD 3300 30FE 0006 3335"            /* .SU.5S3.0..35 */
	$"5353 5535 5531 F555 0035 FC55 FE33 DD00"            /* SSU5U1U.5U3. */
	$"0035 FD55 0153 33FA 0003 0333 0001 CD00"            /* .5U.S3...3... */
	$"0503 3333 5355 35E1 55FE 5308 5553 3303"            /* ..33SU5US.US3. */
	$"3353 5555 53FE 5530 EF55 0453 5553 3330"            /* 3SUUSU0U.SUS30 */
	$"DF00 0033 FE55 0235 5533 FA00 0235 5330"            /* ..3U.5U3..5S0 */
	$"CD00 0203 3353 FE55 0053 DD55 0A35 5535"            /* ...3SU.SU.5U5 */
	$"5355 5553 5555 5355 22ED 5504 5355 5333"            /* SUUSUUSU"U.SUS3 */
	$"33E0 0006 3555 5353 3333 30FB 0002 3353"            /* 3..5USS330..3S */
	$"33CE 0004 0333 5555 35CF 5538 EB55 0453"            /* 3...3UU5U8U.S */
	$"5535 3330 EB00 0933 3300 3330 0000 3330"            /* U530.33.30..30 */
	$"03FE 5503 3355 5333 FC00 0803 3330 0000"            /* .U.3US3...30.. */
	$"0333 0000 FD33 D900 0403 3535 5553 D755"            /* .3..3...55USU */
	$"0035 F955 37E8 5501 5353 F000 0803 3333"            /* .5U7U.SS...33 */
	$"0033 5533 3335 FE33 0553 3333 5555 35FD"            /* .3U3353.S33UU5 */
	$"5500 33F8 0003 3535 3333 FD35 0133 33EA"            /* U.3..55335.33 */
	$"0001 0333 F500 0203 3535 CB55 3AE7 5500"            /* ...3...55U:U. */
	$"53F0 000D 3553 5333 5355 5535 3553 5535"            /* S.5SS3SUU55SU5 */
	$"5553 F955 0135 33F9 000A 0355 3553 5535"            /* USU.53...U5SU5 */
	$"5555 3533 30EE 0004 0333 3335 35FD 3300"            /* UU530...33553. */
	$"30FE 00FC 33C9 553F E655 0030 F300 0503"            /* 0.3U?U.0... */
	$"3353 5553 53EF 5503 5355 3330 FC00 0103"            /* 3SUSSU.SU30... */
	$"35F9 5507 5353 3000 0033 0003 FC00 0133"            /* 5U.SS0..3....3 */
	$"30FC 0003 0333 5535 FE55 FE35 0053 FE33"            /* 0...3U5U5.S3 */
	$"FE35 0153 53C9 5544 E655 FE33 0030 F900"            /* 5.SSUDU3.0. */
	$"FE33 0135 53EA 5501 5355 FA33 0035 F855"            /* 3.5SU.SU3.5U */
	$"0053 FE33 0053 FC33 0400 3335 3330 FE00"            /* .S3.S3..3530. */
	$"0433 3355 5535 FE55 0053 FE55 0235 3553"            /* .33UU5U.SU.55S */
	$"CD55 0831 3135 3113 5311 3555 3CE6 5507"            /* U.1151.S.5U<U. */
	$"5355 5353 3333 0000 FC33 FE53 E855 0153"            /* SUSS33..3SU.S */
	$"55FB 35F7 55FD 5309 5553 5553 3353 3335"            /* U5USUSUS3S35 */
	$"5555 FD33 0135 53F8 5500 53FE 5500 53CE"            /* UU3.5SU.SU.S */
	$"55FD 1504 5151 5515 552B E255 0853 5533"            /* U..QQU.U+U.SU3 */
	$"3355 3553 5535 D355 0653 5555 3555 5535"            /* 3U5SU5U.SUU5UU5 */
	$"FE55 0053 FE55 0235 5535 BD55 FE15 0511"            /* U.SU.5U5U... */
	$"1151 5115 5516 E055 0053 C355 0035 FC55"            /* .QQ.U.U.SU.5U */
	$"0053 BB55 0615 1551 5133 3355 00FF"                 /* .SU...QQ33U. */
};

data 'PICT' (kLittlePictureID, purgeable) {
	$"08FC 0000 0000 0051 0051 0011 02FF 0C00"            /* ......Q.Q..... */
	$"FFFF FFFF 0000 0000 0000 0000 0051 0000"            /* .........Q.. */
	$"0051 0000 0000 0000 0001 000A 0000 0000"            /* .Q.............. */
	$"0051 0051 0098 802A 0000 0000 0051 0051"            /* .Q.Q.*.....Q.Q */
	$"0000 0000 0000 0000 0048 0000 0048 0000"            /* .........H...H.. */
	$"0000 0004 0001 0004 0000 0000 0107 52D0"            /* ..............R */
	$"0000 0000 0000 057C 0000 000B 0000 0000"            /* .......|........ */
	$"0000 0000 0001 4444 4444 4444 0002 EEEE"            /* ......DDDDDD.. */
	$"EEEE EEEE 0003 FFFF FFFF 9999 0004 BBBB"            /* .... */
	$"BBBB BBBB 0005 FFFF CCCC 6666 0006 AAAA"            /* ..ff.. */
	$"AAAA AAAA 0007 8888 8888 8888 0008 FFFF"            /* .... */
	$"CCCC 3333 0009 7777 7777 7777 000A FFFF"            /* 33.wwwwww.. */
	$"9999 3333 000B 2222 2222 2222 0000 0000"            /* 33.."""""".... */
	$"0051 0051 0000 0000 0051 0051 0000 05D9"            /* .Q.Q.....Q.Q... */
	$"0001 0FFF 0600 01DA 11FF 0006 0001 DA11"            /* ............ */
	$"FF00 0600 01DA 11FF 0006 0001 DA11 FF00"            /* ........... */
	$"0600 01DA 11FF 0006 0001 DA11 FF00 0600"            /* ............ */
	$"01DA 11FF 0006 0001 DA11 FF00 0700 01DA"            /* ........... */
	$"1101 0666 0700 01DA 1101 0333 0600 01DA"            /* ...f......3... */
	$"11FF 0007 0001 DA11 010F FF0F 0001 F311"            /* ............ */
	$"0010 F911 0010 F211 010C CC11 0001 F311"            /* ............ */
	$"0102 01FA 1101 0301 F311 0109 9913 0001"            /* .........ƙ... */
	$"F411 0210 2440 FB11 0210 3550 F311 0106"            /* ...$@...5P... */
	$"6615 0001 F411 0302 4444 01FC 1103 0355"            /* f......DD....U */
	$"5501 F411 0103 3316 0001 F511 0410 2444"            /* U....3......$D */
	$"4440 FD11 0410 3555 5550 F411 FF00 1700"            /* D@...5UUP.... */
	$"01F5 1100 02FD 4400 01FE 1100 03FD 5500"            /* ....D.....U. */
	$"01F5 1101 0FFF 1800 01F6 1101 1024 FD44"            /* ..........$D */
	$"0440 1111 1035 FD55 0050 F511 010C CC15"            /* .@...5U.P.... */
	$"0001 F611 0002 FB44 0201 1103 FB55 0001"            /* .....D....U.. */
	$"F611 0109 9919 0001 F711 0410 2444 4464"            /* ..ƙ......$DDd */
	$"FE44 0240 1035 FB55 0050 F611 0106 661B"            /* D.@.5U.P...f. */
	$"0001 F711 0402 4444 4674 FD44 0003 FE55"            /* .....DDFtD..U */
	$"0088 FD55 0001 F711 0103 331C 0001 F811"            /* .U.....3.... */
	$"0510 2444 4467 90FE 4405 4035 5555 58A0"            /* ..$DDgD.@5UUX */
	$"FD55 0050 F711 FF00 1E00 01F8 1109 0244"            /* U.P.......D */
	$"4446 790B 0444 4403 FE55 028A 0B05 FD55"            /* DFy..DD.U...U */
	$"0001 F811 010F FF1F 0001 F911 1010 2444"            /* ...........$D */
	$"4467 90BB B044 4035 5555 58A0 BBB0 FD55"            /* DgD@5UUXU */
	$"0050 F811 010C CC20 0001 F911 0902 4444"            /* .P... ....DD */
	$"4679 0BBB BB04 03FE 5504 8A01 1BBB 05FD"            /* Fy...U.... */
	$"5500 01F9 1101 0999 2100 01FA 1112 1024"            /* U....ƙ!.....$ */
	$"4444 6790 BBB1 BBB0 3555 5558 A011 11BB"            /* DDg5UUX.. */
	$"B0FD 5500 50F9 1101 0666 2200 01FA 1109"            /* U.P...f"... */
	$"0244 4446 790B BB11 1B03 FE55 068A 0901"            /* .DDFy....U.. */
	$"111B BB05 FD55 0001 FA11 0103 3322 0001"            /* ...U.....3".. */
	$"FB11 1410 2444 4467 90BB B111 1035 5555"            /* ...$DDg..5UU */
	$"58A0 9760 1111 BBB0 FD55 0050 FA11 FF00"            /* X`..U.P.. */
	$"2300 01FB 1109 0244 4446 790B BB11 1103"            /* #....DDFy.... */
	$"FE55 088A 0976 4401 111B BB05 FD55 0001"            /* U.vD....U.. */
	$"FB11 FF00 2500 01FC 1116 1024 4444 6790"            /* ..%.....$DDg */
	$"BBB1 1110 3555 5558 A097 6444 4011 11BB"            /* ..5UUXdD@.. */
	$"B0FD 5500 50FB 1101 0BBB 2600 01FC 1109"            /* U.P...&... */
	$"0244 4446 790B BB11 1103 FE55 028A 0976"            /* .DDFy....U.v */
	$"FE44 0401 111B BB05 FD55 0001 FC11 0102"            /* D.....U..... */
	$"2227 0001 FD11 1010 2444 4467 90BB B111"            /* "'.....$DDg. */
	$"1035 5555 58A0 BB64 FE44 0440 1111 BBB0"            /* .5UUXdD.@.. */
	$"FD55 0050 FC11 0100 0027 0001 FD11 0902"            /* U.P....'.... */
	$"4444 4679 0BBB 1111 03FE 5503 8A0B BB04"            /* DDFy....U... */
	$"FD44 0401 111B BB05 FD55 0001 FD11 010E"            /* D.....U..... */
	$"EE28 0001 FE11 1110 2444 4467 90BB B111"            /* (.....$DDg. */
	$"1035 5555 58A0 BBB1 10FD 4404 4011 11BB"            /* .5UUX.D.@.. */
	$"B0FD 5500 50FD 1101 0555 2800 01FE 1109"            /* U.P...U(... */
	$"0244 4446 790B BB11 1103 FE55 058A 0BBB"            /* .DDFy....U.. */
	$"1111 04FD 4404 0111 1BBB 05FD 5500 01FE"            /* ...D.....U.. */
	$"11FF 0029 1601 1111 1024 4444 6790 BBB1"            /* ..).....$DDg */
	$"1110 3555 5558 A0BB B111 1110 FD44 0440"            /* ..5UUX...D.@ */
	$"1111 BBB0 FD55 0050 FE11 010B D228 0C01"            /* ..U.P...(.. */
	$"1111 0244 4446 790B BB11 1103 FE55 028A"            /* ...DDFy....U. */
	$"0BBB FD11 0004 FD44 0401 111B BB05 FD55"            /* ....D.....U */
	$"0401 1111 0CCC 2812 0111 1024 4444 6790"            /* .....(....$DDg */
	$"BBB1 1110 3555 5558 A0BB B1FD 1100 10FD"            /* ..5UUX... */
	$"4404 4011 11BB B0FD 5504 5011 1106 C626"            /* D.@..U.P...& */
	$"0B01 1102 4444 4679 BBBB 1111 03FE 5502"            /* ....DDFy...U. */
	$"8A0B BBFB 1100 04FD 4404 0111 1BBB 05FD"            /* ....D..... */
	$"5503 0111 00C0 2902 0111 10FE 4405 679B"            /* U....)....D.g */
	$"B111 1110 FE55 0258 A0B1 FC11 0510 2444"            /* ...U.X...$D */
	$"4467 90FE 1109 BB35 5555 58A0 1111 0ABA"            /* Dg.ƻ5UUX... */
	$"290C 0111 1B04 4444 4679 0111 111B 05FE"            /* ).....DDFy..... */
	$"5501 8A01 FC11 0502 4444 4679 0BFE 1100"            /* U.....DDFy... */
	$"03FE 5505 8A0B 1111 0BD2 2A03 0111 BBB0"            /* .U.....*... */
	$"FE44 0567 9011 11BB B0FE 5501 58A0 FD11"            /* D.g..U.X. */
	$"1310 2444 4467 90BB B111 1035 5555 58A0"            /* ..$DDg..5UUX */
	$"BBB1 110C CC2B 0D01 111B BB04 4444 4679"            /* ..+....DDFy */
	$"0111 1BBB 05FE 5501 8A01 FE11 0902 4444"            /* ....U....DD */
	$"4679 0BBB 1111 03FE 5506 8A0B BB11 1106"            /* Fy....U..... */
	$"C62B 0401 1111 BBB0 FE44 0567 9011 11BB"            /* +....D.g.. */
	$"B0FE 5518 58A0 1111 1024 4444 6790 BBB1"            /* U.X...$DDg */
	$"1110 3555 5558 A0BB B111 1100 C02B 0E01"            /* ..5UUX...+.. */
	$"1111 1BBB 0444 4446 7901 111B BB05 FE55"            /* ....DDFy....U */
	$"0C8A 0111 0244 4446 790B BB11 1103 FE55"            /* ....DDFy....U */
	$"028A 0BBB FE11 010A BA2B 0001 FE11 01BB"            /* .....+.... */
	$"B0FE 4405 6790 1111 BBB0 FE55 1258 A010"            /* D.g..U.X. */
	$"2444 4467 90BB B111 1035 5555 58A0 BBB1"            /* $DDg..5UUX */
	$"FE11 0104 B42A 0001 FE11 0B1B BB04 4444"            /* ...*......DD */
	$"4679 0111 1BBB 05FE 550A 8A02 4444 4679"            /* Fy....U..DDFy */
	$"0BBB 1111 03FE 5502 8A0B BBFD 1101 08A8"            /* ....U..... */
	$"2900 01FD 1101 BBB0 FE44 0567 9011 11BB"            /* )....D.g.. */
	$"B0FE 5510 5024 4444 6790 BBB1 1110 3555"            /* U.P$DDg..5U */
	$"5558 A0BB B1FD 1101 02A2 2800 01FD 1117"            /* UX...(.... */
	$"1BBB 0444 4446 7901 111B BB05 5555 0244"            /* ..DDFy....UU.D */
	$"4446 790B BB11 1103 FE55 028A 0BBB FC11"            /* DFy....U... */
	$"010C 9C27 0001 FC11 01BB B0FE 4417 6790"            /* ..'....D.g */
	$"1111 BBB0 5550 2444 4467 90BB B111 1035"            /* ..UP$DDg..5 */
	$"5555 58A0 BBB1 FC11 0106 9626 0001 FC11"            /* UUX...&... */
	$"151B BB04 4444 4679 0111 1BBB 0502 4444"            /* ...DDFy.....DD */
	$"4679 0BBB 1111 03FE 5502 8A0B BBFB 1101"            /* Fy....U.... */
	$"0090 2500 01FB 1101 BBB0 FE44 1567 9011"            /* .%....D.g. */
	$"11BB B024 4444 6790 BBB1 1110 3555 5558"            /* .$DDg..5UUX */
	$"A0BB B1FB 1101 0EAE 2400 01FB 1113 1BBB"            /* ...$..... */
	$"0444 4446 7901 111B B244 4446 790A 0B11"            /* .DDFy...DDFy... */
	$"1103 FE55 028A 0BBB FA11 0108 A823 0001"            /* ..U.....#.. */
	$"FA11 01BB B0FE 4413 6790 1110 2444 4467"            /* ..D.g..$DDg */
	$"90AA A011 1035 5555 58A0 BBB1 FA11 0102"            /* ..5UUX... */
	$"A222 0001 FA11 111B BB04 4444 4679 0102"            /* "......DDFy.. */
	$"4444 4679 0AA8 8A01 03FE 5502 8A0B BBF9"            /* DDFy...U.. */
	$"1101 0C9C 2100 01F9 1101 BBB0 FE44 1167"            /* ...!....D.g */
	$"9024 4444 6790 AA85 58A0 3555 5558 A0BB"            /* $DDgX5UUX */
	$"B1F9 1101 0696 2000 01F9 110F 1BBB 0444"            /* ... ......D */
	$"4446 7244 4446 790A A855 5585 FE55 028A"            /* DFrDDFy.UUU. */
	$"0BBB F811 010E AE1A 0001 F811 01BB B0FB"            /* ......... */
	$"4403 6790 B085 FC55 0358 A0BB B1F8 1101"            /* D.gU.X.. */
	$"08A8 1B00 01F8 1102 1BBB 04FD 4404 4679"            /* ........D.Fy */
	$"0BBB 05FC 5502 8A0B BBF7 1101 02A2 1B00"            /* ..U....... */
	$"01F7 1101 BBB0 FD44 0467 90BB BBB0 FD55"            /* ...D.gU */
	$"0358 A0BB B1F7 1101 0C9C 1C00 01F7 110B"            /* .X........ */
	$"1BBB 0444 4446 790B BB1B BB05 FE55 028A"            /* ..DDFy...U. */
	$"0BBB F611 0106 961B 0001 F611 10BB B044"            /* .........D */
	$"4467 90BB B111 BBB0 5555 58A0 BBB1 F611"            /* Dg.UUX. */
	$"0100 901A 0001 F611 0F1B BB04 4479 0BBB"            /* .........Dy. */
	$"1111 1BBB 0555 8A0B BBF5 1101 0484 1900"            /* ....U...... */
	$"01F5 1105 BBB0 4490 BBB1 FE11 05BB B055"            /* ...D..U */
	$"A0BB B1F5 1101 0E7E 1700 01F5 1104 1BBB"            /* ...~...... */
	$"040B BBFD 1104 1BBB 050B BBF4 1101 0878"            /* ..........x */
	$"1500 01F4 1103 BBB0 BBB1 FC11 03BB B0BB"            /* ....... */
	$"B1F4 1101 0272 1300 01F4 1102 1BBB BBFB"            /* ...r...... */
	$"1102 1BBB BBF3 1101 0C6C 1100 01F3 1101"            /* ......l..... */
	$"BBB1 FA11 01BB B1F3 1101 0A8A 0F00 01F3"            /* ........ */
	$"1100 1BF9 1100 1BF2 1101 0484 0700 01DA"            /* ............ */
	$"1101 0E7E 0700 01DA 1101 0878 0700 01DA"            /* ...~......x... */
	$"1101 0272 0700 01DA 1101 0A8A 0700 01DA"            /* ...r......... */
	$"1101 0484 0700 01DA 1101 0E7E 0700 01DA"            /* .........~... */
	$"1101 0878 0700 01DA 1101 0272 0700 01DA"            /* ...x......r... */
	$"1101 0C6C 04D8 0000 6000 00FF"                      /* ...l...`.. */
};
